Bug 290706 - amarok crashes after trying to start playing song [@ Phonon::Gstreamer::Pipeline::cb_setupSource]
Summary: amarok crashes after trying to start playing song [@ Phonon::Gstreamer::Pipel...
Status: RESOLVED FIXED
Alias: None
Product: phonon-backend-gstreamer
Classification: Unclassified
Component: general (show other bugs)
Version: 4.6-git
Platform: Fedora RPMs Linux
: HI crash with 20 votes (vote)
Target Milestone: 4.7
Assignee: Harald Sitter
URL:
Keywords: regression, release_blocker
: 288178 293782 294183 296806 298643 299535 299950 300169 300434 301135 301309 302018 302453 303401 304075 305422 305426 305461 305928 306300 306739 306811 308261 308637 309057 309074 309705 309838 310047 310292 310895 311632 313107 313338 314485 314800 315869 316660 317076 317098 317157 317377 317624 317935 318161 319093 319636 321210 321216 322374 322805 325308 325322 325982 326116 327702 327867 327981 328128 328186 329603 329745 330404 330417 330869 331913 332111 333160 333414 334635 335747 364589 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-01-05 16:08 UTC by Pavel Nedrigailov
Modified: 2016-06-21 20:30 UTC (History)
80 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Full debug logs (61.21 KB, application/rar)
2012-07-02 18:09 UTC, vin_c_007
Details
New crash information added by DrKonqi (26.66 KB, text/plain)
2012-07-04 12:25 UTC, Erick Osorio
Details
New crash information added by DrKonqi (29.91 KB, text/plain)
2012-07-18 02:05 UTC, Juliano Timm
Details
New crash information added by DrKonqi (31.69 KB, text/plain)
2012-08-05 12:22 UTC, jernej.makovsek
Details
New crash information added by DrKonqi (33.36 KB, text/plain)
2012-08-12 09:03 UTC, the.mormegil.archmage
Details
New crash information added by DrKonqi (28.17 KB, text/plain)
2012-08-15 02:57 UTC, Prasad Murthy
Details
New crash information added by DrKonqi (31.28 KB, text/plain)
2012-08-16 14:43 UTC, andrew lane
Details
New crash information added by DrKonqi (28.31 KB, text/plain)
2013-01-16 15:09 UTC, Etson
Details
New crash information added by DrKonqi (45.06 KB, text/plain)
2013-01-29 20:16 UTC, Hrvoje Senjan
Details
New crash information added by DrKonqi (24.01 KB, text/plain)
2013-02-19 16:48 UTC, Fuzzyfred
Details
Amarok Debug Log (19.21 KB, application/x-xz)
2013-02-19 21:31 UTC, David Roth
Details
Amarok Debug Log (21.36 KB, application/octet-stream)
2013-03-20 13:35 UTC, Stephan Diestelhorst
Details
Crash log (28.79 KB, application/octet-stream)
2013-03-20 13:38 UTC, Stephan Diestelhorst
Details
Proposed patch (735 bytes, patch)
2013-05-11 14:30 UTC, Rohan Garg
Details
python script that reproduces the bug (1.78 KB, text/x-python)
2013-09-10 20:21 UTC, Marcos Dione
Details
backtrace generated by the previous python script (22.05 KB, text/plain)
2013-09-10 20:23 UTC, Marcos Dione
Details
New crash information added by DrKonqi (50.86 KB, text/plain)
2014-02-27 16:30 UTC, John Rockefeller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Nedrigailov 2012-01-05 16:08:07 UTC
Application: amarok (2.5.0)
KDE Platform Version: 4.7.4 (4.7.4)
Qt Version: 4.8.0
Operating System: Linux 3.1.6-1.fc16.i686 i686
Distribution: "RFRemix release 16 (Verne)"

-- Information about the crash:
- What I was doing when the application crashed:

amarok crashes after trying to start playing song. may be after waiting mode

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xb7732780 (LWP 23932))]

Thread 11 (Thread 0xadc21b40 (LWP 23937)):
#0  0x00e1c416 in __kernel_vsyscall ()
#1  0x4a8dffb0 in __GI___poll (fds=0xad3012f8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x4aaae7cc in g_poll (fds=0xad3012f8, nfds=1, timeout=-1) at gpoll.c:132
#3  0x4aa9fc06 in g_main_context_poll (n_fds=1, fds=0xad3012f8, priority=<optimized out>, timeout=<optimized out>, context=0xad300500) at gmain.c:3386
#4  g_main_context_iterate (context=0xad300500, block=1252714400, dispatch=1, self=0xad300d90) at gmain.c:3068
#5  0x4aa9ffaf in g_main_context_iteration (context=0xad300500, may_block=1) at gmain.c:3136
#6  0x4b6a7ee7 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0x4b6740ce in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0x4b674379 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0x4b55cadc in QThread::exec() () from /usr/lib/libQtCore.so.4
#10 0x4b65105e in ?? () from /usr/lib/libQtCore.so.4
#11 0x4b560061 in ?? () from /usr/lib/libQtCore.so.4
#12 0x4a9accd3 in start_thread (arg=0xadc21b40) at pthread_create.c:309
#13 0x4a8ea83e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 10 (Thread 0xac1a9b40 (LWP 23938)):
#0  0x00e1c416 in __kernel_vsyscall ()
#1  0x4a9b085c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
#2  0x4a8f89ec in __pthread_cond_wait (cond=0x9deb800, mutex=0x9deb7e8) at forward.c:139
#3  0x4b5605e8 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0x4d85a91d in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9deb720, th=0x9e12bb0) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x4d85d8dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9dec120, th=0x9e12bb0) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x4d85a47b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9deb720, th=0x9e12bb0) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x4d85d9ec in ThreadWeaver::WorkingHardState::applyForWork (this=0x9dec120, th=0x9e12bb0) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x4d85a374 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9deb720, th=0x9e12bb0, previous=0xa149000) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x4d85c3d4 in ThreadWeaver::ThreadRunHelper::run (this=0xac1a9264, parent=0x9deb720, th=0x9e12bb0) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/Thread.cpp:87
#10 0x4d85c49b in ThreadWeaver::Thread::run (this=0x9e12bb0) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/Thread.cpp:142
#11 0x4b560061 in ?? () from /usr/lib/libQtCore.so.4
#12 0x4a9accd3 in start_thread (arg=0xac1a9b40) at pthread_create.c:309
#13 0x4a8ea83e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 9 (Thread 0xab5cdb40 (LWP 23939)):
#0  0x00e1c416 in __kernel_vsyscall ()
#1  0x4a9b085c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
#2  0x4a8f89ec in __pthread_cond_wait (cond=0x9deb800, mutex=0x9deb7e8) at forward.c:139
#3  0x4b5605e8 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0x4d85a91d in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9deb720, th=0xa133d90) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x4d85d8dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9dec120, th=0xa133d90) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x4d85a47b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9deb720, th=0xa133d90) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x4d85d9ec in ThreadWeaver::WorkingHardState::applyForWork (this=0x9dec120, th=0xa133d90) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x4d85a374 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9deb720, th=0xa133d90, previous=0xa11a100) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x4d85c3d4 in ThreadWeaver::ThreadRunHelper::run (this=0xab5cd264, parent=0x9deb720, th=0xa133d90) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/Thread.cpp:87
#10 0x4d85c49b in ThreadWeaver::Thread::run (this=0xa133d90) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/Thread.cpp:142
#11 0x4b560061 in ?? () from /usr/lib/libQtCore.so.4
#12 0x4a9accd3 in start_thread (arg=0xab5cdb40) at pthread_create.c:309
#13 0x4a8ea83e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 8 (Thread 0xaadccb40 (LWP 23940)):
#0  0x00e1c416 in __kernel_vsyscall ()
#1  0x4a9b085c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
#2  0x4a8f89ec in __pthread_cond_wait (cond=0x9deb800, mutex=0x9deb7e8) at forward.c:139
#3  0x4b5605e8 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0x4d85a91d in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9deb720, th=0xa1f3870) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x4d85d8dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9dec120, th=0xa1f3870) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x4d85a47b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9deb720, th=0xa1f3870) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x4d85d9ec in ThreadWeaver::WorkingHardState::applyForWork (this=0x9dec120, th=0xa1f3870) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x4d85a374 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9deb720, th=0xa1f3870, previous=0x0) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x4d85da08 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9dec120, th=0xa1f3870) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x4d85a374 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9deb720, th=0xa1f3870, previous=0x0) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0x4d85da08 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9dec120, th=0xa1f3870) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x4d85a374 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9deb720, th=0xa1f3870, previous=0xa35e630) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:351
#13 0x4d85c3d4 in ThreadWeaver::ThreadRunHelper::run (this=0xaadcc264, parent=0x9deb720, th=0xa1f3870) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/Thread.cpp:87
#14 0x4d85c49b in ThreadWeaver::Thread::run (this=0xa1f3870) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/Thread.cpp:142
#15 0x4b560061 in ?? () from /usr/lib/libQtCore.so.4
#16 0x4a9accd3 in start_thread (arg=0xaadccb40) at pthread_create.c:309
#17 0x4a8ea83e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 7 (Thread 0xaa3ffb40 (LWP 23941)):
#0  0x00e1c416 in __kernel_vsyscall ()
#1  0x4a9b085c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
#2  0x4a8f89ec in __pthread_cond_wait (cond=0x9deb800, mutex=0x9deb7e8) at forward.c:139
#3  0x4b5605e8 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0x4d85a91d in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9deb720, th=0xa252e50) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x4d85d8dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9dec120, th=0xa252e50) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x4d85a47b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9deb720, th=0xa252e50) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x4d85d9ec in ThreadWeaver::WorkingHardState::applyForWork (this=0x9dec120, th=0xa252e50) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x4d85a374 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9deb720, th=0xa252e50, previous=0xa1a9db0) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x4d85c3d4 in ThreadWeaver::ThreadRunHelper::run (this=0xaa3ff264, parent=0x9deb720, th=0xa252e50) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/Thread.cpp:87
#10 0x4d85c49b in ThreadWeaver::Thread::run (this=0xa252e50) at /usr/src/debug/kdelibs-4.7.4/threadweaver/Weaver/Thread.cpp:142
#11 0x4b560061 in ?? () from /usr/lib/libQtCore.so.4
#12 0x4a9accd3 in start_thread (arg=0xaa3ffb40) at pthread_create.c:309
#13 0x4a8ea83e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 6 (Thread 0xa97ffb40 (LWP 23942)):
#0  0x00e1c416 in __kernel_vsyscall ()
#1  0x4a9b085c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
#2  0x506032b3 in WTF::TCMalloc_PageHeap::scavengerThread (this=0x50d56c40) at ../../../Source/JavaScriptCore/wtf/FastMalloc.cpp:2495
#3  0x506033d0 in WTF::TCMalloc_PageHeap::runScavengerThread (context=0x50d56c40) at ../../../Source/JavaScriptCore/wtf/FastMalloc.cpp:1618
#4  0x4a9accd3 in start_thread (arg=0xa97ffb40) at pthread_create.c:309
#5  0x4a8ea83e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 5 (Thread 0xa8efeb40 (LWP 23943)):
#0  0x4a9fb001 in __GI_clock_gettime (clock_id=1, tp=0xa8efdfb8) at ../sysdeps/unix/clock_gettime.c:116
#1  0x4b5bed26 in ?? () from /usr/lib/libQtCore.so.4
#2  0x4b6a87c7 in ?? () from /usr/lib/libQtCore.so.4
#3  0x4b6a8b2b in ?? () from /usr/lib/libQtCore.so.4
#4  0x4b6a7373 in ?? () from /usr/lib/libQtCore.so.4
#5  0x4aa9ebdc in g_main_context_prepare (context=0xa85004e0, priority=0xa8efe0f8) at gmain.c:2746
#6  0x4aa9f998 in g_main_context_iterate (context=0xa85004e0, block=1, dispatch=1, self=0xa8500d70) at gmain.c:3053
#7  0x4aa9ffaf in g_main_context_iteration (context=0xa85004e0, may_block=1) at gmain.c:3136
#8  0x4b6a7ee7 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0x4b6740ce in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#10 0x4b674379 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0x4b55cadc in QThread::exec() () from /usr/lib/libQtCore.so.4
#12 0x4b55cbcc in QThread::run() () from /usr/lib/libQtCore.so.4
#13 0x4b560061 in ?? () from /usr/lib/libQtCore.so.4
#14 0x4a9accd3 in start_thread (arg=0xa8efeb40) at pthread_create.c:309
#15 0x4a8ea83e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 4 (Thread 0xa7cfeb40 (LWP 23946)):
#0  0x00e1c416 in __kernel_vsyscall ()
#1  0x4a9b085c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
#2  0x4a8f89ec in __pthread_cond_wait (cond=0x4f131770, mutex=0x4f131758) at forward.c:139
#3  0x4f02bf71 in ?? () from /usr/lib/libQtScript.so.4
#4  0x4f02bfb0 in ?? () from /usr/lib/libQtScript.so.4
#5  0x4a9accd3 in start_thread (arg=0xa7cfeb40) at pthread_create.c:309
#6  0x4a8ea83e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 3 (Thread 0xa57eab40 (LWP 30798)):
#0  0x00e1c416 in __kernel_vsyscall ()
#1  0x4a8dffb0 in __GI___poll (fds=0xad3072c0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x4e1ff5c7 in poll_func (ufds=0xad3072c0, nfds=2, timeout=-1, userdata=0xadd6248) at pulse/thread-mainloop.c:75
#3  0x4e1ee1ed in pa_mainloop_poll (m=0xb1fe1f0) at pulse/mainloop.c:879
#4  0x4e1ee9e8 in pa_mainloop_iterate (m=0xb1fe1f0, block=1, retval=0x0) at pulse/mainloop.c:961
#5  0x4e1eeab4 in pa_mainloop_run (m=0xb1fe1f0, retval=0x0) at pulse/mainloop.c:979
#6  0x4e1ff54f in thread (userdata=0xafe77e8) at pulse/thread-mainloop.c:94
#7  0x4e1b5877 in internal_thread_func (userdata=0xb0477e0) at pulsecore/thread-posix.c:83
#8  0x4a9accd3 in start_thread (arg=0xa57eab40) at pthread_create.c:309
#9  0x4a8ea83e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 2 (Thread 0xa3dffb40 (LWP 30799)):
#0  0x00e1c416 in __kernel_vsyscall ()
#1  0x4a9b34d2 in __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/lowlevellock.S:145
#2  0x4a9aee63 in _L_lock_693 () from /lib/libpthread.so.0
#3  0x4a9aeca8 in __pthread_mutex_lock (mutex=0x9a93738) at pthread_mutex_lock.c:65
#4  0x4a8f8c04 in pthread_mutex_lock (mutex=0x9a93738) at forward.c:182
#5  0x4ea81a0f in gst_element_post_message (element=0x9c6acd0 [GstPlayBin2], message=0xa2ed3208 [GstMessage]) at gstelement.c:1809
#6  0x4ea68b5e in gst_bin_handle_message_func (bin=0x9c6acd0 [GstPlayBin2], message=0xa2ed3208 [GstMessage]) at gstbin.c:3387
#7  0x4eaa536b in gst_pipeline_handle_message (bin=0x9c6acd0 [GstPlayBin2], message=0xa2ed3208 [GstMessage]) at gstpipeline.c:587
#8  0x00ad8651 in gst_play_bin_handle_message (bin=0x9c6acd0 [GstPlayBin2], msg=0xa2ed3208 [GstMessage]) at gstplaybin2.c:2294
#9  0x4ea6622d in bin_bus_handler (bus=0x9989580 [GstBus], message=0xa2ed3208 [GstMessage], bin=0x9c6acd0 [GstPlayBin2]) at gstbin.c:2760
#10 0x4ea710b5 in gst_bus_post (bus=0x9989580 [GstBus], message=0xa2ed3208 [GstMessage]) at gstbus.c:321
#11 0x4ea81a37 in gst_element_post_message (element=0xa6ad408 [GstURIDecodeBin], message=0xa2ed3208 [GstMessage]) at gstelement.c:1820
#12 0x4ea68b5e in gst_bin_handle_message_func (bin=0xa6ad408 [GstURIDecodeBin], message=0xa2ed3208 [GstMessage]) at gstbin.c:3387
#13 0x038eb985 in handle_message (bin=0xa6ad408 [GstURIDecodeBin], msg=0xa2ed3208 [GstMessage]) at gsturidecodebin.c:2105
#14 0x4ea6622d in bin_bus_handler (bus=0x9989aa8 [GstBus], message=0xa2ed3208 [GstMessage], bin=0xa6ad408 [GstURIDecodeBin]) at gstbin.c:2760
#15 0x4ea710b5 in gst_bus_post (bus=0x9989aa8 [GstBus], message=0xa2ed3208 [GstMessage]) at gstbus.c:321
#16 0x4ea81a37 in gst_element_post_message (element=0xa6b03b0 [GstDecodeBin2], message=0xa2ed3208 [GstMessage]) at gstelement.c:1820
#17 0x4ea68b5e in gst_bin_handle_message_func (bin=0xa6b03b0 [GstDecodeBin2], message=0xa2ed3208 [GstMessage]) at gstbin.c:3387
#18 0x4ea6622d in bin_bus_handler (bus=0x99894c0 [GstBus], message=0xa2ed3208 [GstMessage], bin=0xa6b03b0 [GstDecodeBin2]) at gstbin.c:2760
#19 0x4ea710b5 in gst_bus_post (bus=0x99894c0 [GstBus], message=0xa2ed3208 [GstMessage]) at gstbus.c:321
#20 0x4ea81a37 in gst_element_post_message (element=0xaf90c00 [GstMpegAudioParse], message=0xa2ed3208 [GstMessage]) at gstelement.c:1820
#21 0x4ea9725f in do_stream_status (pad=0xa2ec3cb0 [GstPad], type=GST_STREAM_STATUS_TYPE_ENTER, thread=0xb054d98, task=0xa852e010 [GstTask]) at gstpad.c:5517
#22 0x4eacb72c in gst_task_func (task=0xa852e010 [GstTask]) at gsttask.c:285
#23 0x4eacca19 in default_func (tdata=0xa5db550, pool=0x9974c08 [GstTaskPool]) at gsttaskpool.c:70
#24 0x4aac934f in g_thread_pool_thread_proxy (data=0x997bbc8) at gthreadpool.c:319
#25 0x4aac6ed5 in g_thread_create_proxy (data=0xb054d98) at gthread.c:1962
#26 0x4a9accd3 in start_thread (arg=0xa3dffb40) at pthread_create.c:309
#27 0x4a8ea83e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 1 (Thread 0xb7732780 (LWP 23932)):
[KCrash Handler]
#7  0x4ae14ecd in g_value_set_object (value=0xbfbca13c, v_object=0x4ae329e7) at gobject.c:3139
#8  0x00adde51 in gst_play_bin_get_property (object=0x9c6acd0 [GstPlayBin2], prop_id=3, value=0xbfbca13c, pspec=0x9bf98a0 [GParamObject]) at gstplaybin2.c:1925
#9  0x4ae12878 in object_get_property (value=0xbfbca12c, pspec=<optimized out>, object=0x9c6acd0 [GstPlayBin2]) at gobject.c:1138
#10 g_object_get_valist (object=0x9c6acd0 [GstPlayBin2], first_property_name=0x83bceb "source", var_args=0xbfbca198 "\314\241\274\277") at gobject.c:1794
#11 0x4ae12bf8 in g_object_get (_object=0x9c6acd0, first_property_name=0x83bceb "source") at gobject.c:1884
#12 0x00828632 in Phonon::Gstreamer::Pipeline::cb_setupSource (playbin=0x9c6acd0 [GstPlayBin2], param=0x9bf98a0 [GParamObject], data=0x9c61c80) at /usr/src/debug/phonon-backend-gstreamer-4.5.90/gstreamer/pipeline.cpp:791
#13 0x4ae0c5cb in g_cclosure_marshal_VOID__PARAM (closure=0x9c6bb40, return_value=0x0, n_param_values=2, param_values=0xa2ef2878, invocation_hint=0xbfbca360, marshal_data=0x0) at gmarshal.c:539
#14 0x4ae0a645 in g_closure_invoke (closure=0x9c6bb40, return_value=0x0, n_param_values=2, param_values=0xa2ef2878, invocation_hint=0xbfbca360) at gclosure.c:774
#15 0x4ae1d860 in signal_emit_unlocked_R (node=0x9976768, detail=2055, instance=0x9c6acd0, emission_return=0x0, instance_and_params=0xa2ef2878) at gsignal.c:3272
#16 0x4ae262ff in g_signal_emit_valist (instance=0x9c6acd0, signal_id=1, detail=2055, var_args=0xbfbca520 "o\027\233J\364\037\311J\351\327\340J\350\263\262N\320\254\306\t\001") at gsignal.c:3003
#17 0x4ae26464 in g_signal_emit (instance=0x9c6acd0, signal_id=1, detail=2055) at gsignal.c:3060
#18 0x4ae0d837 in g_object_dispatch_properties_changed (object=0x9c6acd0 [GstPlayBin2], n_pspecs=1, pspecs=0xbfbca5f0) at gobject.c:925
#19 0x4ea64d13 in gst_object_dispatch_properties_changed (object=0x9c6acd0 [GstPlayBin2], n_pspecs=1, pspecs=0xbfbca5f0) at gstobject.c:526
#20 0x4ae0ccb0 in g_object_notify_dispatcher (object=0x9c6acd0 [GstPlayBin2], n_pspecs=1, pspecs=0xbfbca5f0) at gobject.c:331
#21 0x4ae0fa62 in g_object_notify_queue_thaw (nqueue=<optimized out>, object=0x9c6acd0 [GstPlayBin2]) at gobjectnotifyqueue.c:132
#22 g_object_notify_by_spec_internal (pspec=<optimized out>, object=0x9c6acd0 [GstPlayBin2]) at gobject.c:983
#23 g_object_notify (object=0x9c6acd0 [GstPlayBin2], property_name=0xb01925 "source") at gobject.c:1024
#24 0x00ada1ba in notify_source_cb (uridecodebin=0xa6ad018 [GstURIDecodeBin], pspec=0xa053518 [GParamObject], group=0x9c6af90) at gstplaybin2.c:3204
#25 0x4ae0c5cb in g_cclosure_marshal_VOID__PARAM (closure=0xa2ecf8e8, return_value=0x0, n_param_values=2, param_values=0xa3450cc8, invocation_hint=0xbfbca7c0, marshal_data=0x0) at gmarshal.c:539
#26 0x4ae0a645 in g_closure_invoke (closure=0xa2ecf8e8, return_value=0x0, n_param_values=2, param_values=0xa3450cc8, invocation_hint=0xbfbca7c0) at gclosure.c:774
#27 0x4ae1d860 in signal_emit_unlocked_R (node=0x9976768, detail=2055, instance=0xa6ad018, emission_return=0x0, instance_and_params=0xa3450cc8) at gsignal.c:3272
#28 0x4ae262ff in g_signal_emit_valist (instance=0xa6ad018, signal_id=1, detail=2055, var_args=0xbfbca980 "o\027\233J\364\037\311J\351\327\340J\350\263\262N\030\320j\n\001") at gsignal.c:3003
#29 0x4ae26464 in g_signal_emit (instance=0xa6ad018, signal_id=1, detail=2055) at gsignal.c:3060
#30 0x4ae0d837 in g_object_dispatch_properties_changed (object=0xa6ad018 [GstURIDecodeBin], n_pspecs=1, pspecs=0xbfbcaa50) at gobject.c:925
#31 0x4ea64d13 in gst_object_dispatch_properties_changed (object=0xa6ad018 [GstURIDecodeBin], n_pspecs=1, pspecs=0xbfbcaa50) at gstobject.c:526
#32 0x4ae0ccb0 in g_object_notify_dispatcher (object=0xa6ad018 [GstURIDecodeBin], n_pspecs=1, pspecs=0xbfbcaa50) at gobject.c:331
#33 0x4ae0fa62 in g_object_notify_queue_thaw (nqueue=<optimized out>, object=0xa6ad018 [GstURIDecodeBin]) at gobjectnotifyqueue.c:132
#34 g_object_notify_by_spec_internal (pspec=<optimized out>, object=0xa6ad018 [GstURIDecodeBin]) at gobject.c:983
#35 g_object_notify (object=0xa6ad018 [GstURIDecodeBin], property_name=0x38f4a30 "source") at gobject.c:1024
#36 0x038ef86a in setup_source (decoder=0xa6ad018 [GstURIDecodeBin]) at gsturidecodebin.c:1913
#37 gst_uri_decode_bin_change_state (element=0xa6ad018 [GstURIDecodeBin], transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gsturidecodebin.c:2388
#38 0x4ea8287c in gst_element_change_state (element=0xa6ad018 [GstURIDecodeBin], transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2718
#39 0x4ea83335 in gst_element_set_state_func (element=0xa6ad018 [GstURIDecodeBin], state=GST_STATE_PAUSED) at gstelement.c:2674
#40 0x4ea825c1 in gst_element_set_state (element=0xa6ad018 [GstURIDecodeBin], state=GST_STATE_PAUSED) at gstelement.c:2575
#41 0x4ea6d986 in gst_bin_element_set_state (next=GST_STATE_PAUSED, current=GST_STATE_READY, start_time=0, base_time=0, element=0xa6ad018 [GstURIDecodeBin], bin=0x9c6acd0 [GstPlayBin2]) at gstbin.c:2193
#42 gst_bin_change_state_func (element=0x9c6acd0 [GstPlayBin2], transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstbin.c:2489
#43 0x4eaa5b6c in gst_pipeline_change_state (element=0x9c6acd0 [GstPlayBin2], transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstpipeline.c:482
#44 0x00adc5aa in gst_play_bin_change_state (element=0x9c6acd0 [GstPlayBin2], transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstplaybin2.c:3695
#45 0x4ea8287c in gst_element_change_state (element=0x9c6acd0 [GstPlayBin2], transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2718
#46 0x4ea83335 in gst_element_set_state_func (element=0x9c6acd0 [GstPlayBin2], state=GST_STATE_PLAYING) at gstelement.c:2674
#47 0x4ea825c1 in gst_element_set_state (element=0x9c6acd0 [GstPlayBin2], state=GST_STATE_PLAYING) at gstelement.c:2575
#48 0x008294e3 in Phonon::Gstreamer::Pipeline::setState (this=0x9c61c80, state=GST_STATE_PLAYING) at /usr/src/debug/phonon-backend-gstreamer-4.5.90/gstreamer/pipeline.cpp:223
#49 0x00820cde in Phonon::Gstreamer::MediaObject::requestState (this=0x9708650, state=Phonon::PlayingState) at /usr/src/debug/phonon-backend-gstreamer-4.5.90/gstreamer/mediaobject.cpp:763
#50 0x00820d78 in Phonon::Gstreamer::MediaObject::play (this=0x9708650) at /usr/src/debug/phonon-backend-gstreamer-4.5.90/gstreamer/mediaobject.cpp:230
#51 0x4e363d70 in Phonon::MediaObject::play (this=0x98431c8) at /usr/src/debug/phonon-4.5.57/phonon/mediaobject.cpp:113
#52 0x42f8fa86 in EngineController::playUrl (this=0x98dc880, url=..., offset=0) at /usr/src/debug/amarok-2.5.0/src/EngineController.cpp:559
#53 0x42f91370 in EngineController::play (this=0x98dc880, track=..., offset=1) at /usr/src/debug/amarok-2.5.0/src/EngineController.cpp:447
#54 0x42bfbbe9 in Playlist::Actions::play (this=0x9fc5438, trackid=2166007052486781802, now=204) at /usr/src/debug/amarok-2.5.0/src/playlist/PlaylistActions.cpp:222
#55 0x42bfce2a in Playlist::Actions::play (this=0x9fc5438, index=...) at /usr/src/debug/amarok-2.5.0/src/playlist/PlaylistActions.cpp:200
#56 0x42ca4922 in Playlist::PrettyListView::trackActivated (this=0xa9beca8, idx=...) at /usr/src/debug/amarok-2.5.0/src/playlist/view/listview/PrettyListView.cpp:323
#57 0x42cac16d in qt_static_metacall (_a=0xbfbcb3c8, _id=25, _o=0xa9beca8, _c=<optimized out>) at /usr/src/debug/amarok-2.5.0/i686-redhat-linux-gnu/src/PrettyListView.moc:130
#58 Playlist::PrettyListView::qt_static_metacall (_o=0xa9beca8, _c=QMetaObject::InvokeMetaMethod, _id=25, _a=0xbfbcb3c8) at /usr/src/debug/amarok-2.5.0/i686-redhat-linux-gnu/src/PrettyListView.moc:99
#59 0x4b68aa81 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#60 0x4c411896 in QAbstractItemView::doubleClicked(QModelIndex const&) () from /usr/lib/libQtGui.so.4
#61 0x4c411a59 in QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#62 0x4bebc87b in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#63 0x4c2d7596 in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
#64 0x4c36b452 in QAbstractScrollArea::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#65 0x4c4105ac in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#66 0x4c36dc56 in ?? () from /usr/lib/libQtGui.so.4
#67 0x4b675386 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#68 0x4be61a03 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#69 0x4be67bca in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#70 0x4ca3e972 in KApplication::notify (this=0xbfbcc4e4, receiver=0xab04ee0, event=0xbfbcbc94) at /usr/src/debug/kdelibs-4.7.4/kdeui/kernel/kapplication.cpp:311
#71 0x4b6751de in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#72 0x4be62a06 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#73 0x4beec76c in ?? () from /usr/lib/libQtGui.so.4
#74 0x4beeb74d in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#75 0x4bf165f5 in ?? () from /usr/lib/libQtGui.so.4
#76 0x4aa9f5bf in g_main_dispatch (context=0x97e1fb0) at gmain.c:2425
#77 g_main_context_dispatch (context=0x97e1fb0) at gmain.c:2995
#78 0x4aa9fd00 in g_main_context_iterate (context=0x97e1fb0, block=1252714400, dispatch=1, self=0x9803b80) at gmain.c:3073
#79 0x4aa9ffaf in g_main_context_iteration (context=0x97e1fb0, may_block=1) at gmain.c:3136
#80 0x4b6a7e88 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#81 0x4bf1628b in ?? () from /usr/lib/libQtGui.so.4
#82 0x4b6740ce in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#83 0x4b674379 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#84 0x4b67951b in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#85 0x4be5f835 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#86 0x0804fd3a in main (argc=1, argv=0xbfbcce94) at /usr/src/debug/amarok-2.5.0/src/main.cpp:303

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2012-01-06 22:04:31 UTC
The problem is not in Amarok but in gstreamer, reassinging
Comment 2 Torrie Fischer 2012-01-17 15:29:44 UTC
Git commit 72af6837e3787cf3acf20e7ed9afb0576f46c0b2 by Trever Fischer.
Committed on 17/01/2012 at 16:29.
Pushed by tdfischer into branch 'master'.

Hold a reference to the pipeline so that we may delete it behind our backs safely

M  +2    -0    gstreamer/pipeline.cpp

http://commits.kde.org/phonon-gstreamer/72af6837e3787cf3acf20e7ed9afb0576f46c0b2
Comment 3 Myriam Schweingruber 2012-02-10 18:16:23 UTC
*** Bug 293782 has been marked as a duplicate of this bug. ***
Comment 4 Myriam Schweingruber 2012-02-16 00:51:46 UTC
*** Bug 294183 has been marked as a duplicate of this bug. ***
Comment 5 Myriam Schweingruber 2012-03-27 07:47:10 UTC
*** Bug 296806 has been marked as a duplicate of this bug. ***
Comment 6 Myriam Schweingruber 2012-04-23 08:58:48 UTC
*** Bug 298643 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2012-04-23 09:00:19 UTC
Reopening, this is not fixed in version 4.6, see also bug 298643
Comment 8 Myriam Schweingruber 2012-05-07 11:37:15 UTC
*** Bug 299535 has been marked as a duplicate of this bug. ***
Comment 9 Myriam Schweingruber 2012-05-14 15:03:41 UTC
*** Bug 299950 has been marked as a duplicate of this bug. ***
Comment 10 Myriam Schweingruber 2012-05-16 16:49:19 UTC
*** Bug 288178 has been marked as a duplicate of this bug. ***
Comment 11 Myriam Schweingruber 2012-05-17 15:13:15 UTC
*** Bug 300169 has been marked as a duplicate of this bug. ***
Comment 12 Myriam Schweingruber 2012-05-22 07:56:46 UTC
*** Bug 300434 has been marked as a duplicate of this bug. ***
Comment 13 Marcos Dione 2012-05-23 22:10:18 UTC
this also occurs in other apps different from amarok. in particular, I'm toying with with python-phonon and I get a similar backtrace:

Thread 1 (Thread 0xb72de6c0 (LWP 26177)):
[KCrash Handler]
#7  0xb4a38571 in g_value_set_object (value=0xbfe0b84c, v_object=0xa8ef4c0) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gobject.c:3411
#8  0xaf8529b1 in gst_play_bin_get_property (object=0xad25c00, prop_id=3, value=0xbfe0b84c, pspec=0xaedc9b8) at gstplaybin2.c:2018
#9  0xb4a3677f in object_get_property (value=0xbfe0b84c, pspec=<optimized out>, object=0xad25c00) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gobject.c:1289
#10 g_object_get_valist (object=object@entry=0xad25c00, first_property_name=first_property_name@entry=0xafeaddaf "source", var_args=var_args@entry=0xbfe0b8e8 "\034\271\340\277") at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gobject.c:2014
#11 0xb4a36ae8 in g_object_get (_object=0xad25c00, first_property_name=0xafeaddaf "source") at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gobject.c:2104
#12 0xafe9aa6c in Phonon::Gstreamer::Pipeline::cb_setupSource (playbin=playbin@entry=0xad25c00, param=0xaedc9b8, data=0xaee2898) at ../../gstreamer/pipeline.cpp:801
#13 0xb4a31aaa in g_cclosure_marshal_VOID__PARAM (closure=closure@entry=0xad13a98, return_value=return_value@entry=0x0, n_param_values=n_param_values@entry=2, param_values=param_values@entry=0xbfe0bb30, invocation_hint=invocation_hint@entry=0xbfe0badc, marshal_data=marshal_data@entry=0x0) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gmarshal.c:1042
#14 0xb4a2ee56 in g_closure_invoke (closure=0xad13a98, return_value=return_value@entry=0x0, n_param_values=n_param_values@entry=2, param_values=param_values@entry=0xbfe0bb30, invocation_hint=invocation_hint@entry=0xbfe0badc) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gclosure.c:777
#15 0xb4a40925 in signal_emit_unlocked_R (node=node@entry=0xac48730, detail=detail@entry=1874, instance=instance@entry=0xad25c00, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0xbfe0bb30) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gsignal.c:3547
#16 0xb4a48b26 in g_signal_emit_valist (instance=instance@entry=0xad25c00, signal_id=signal_id@entry=1, detail=detail@entry=1874, var_args=0xbfe0bd50 "", var_args@entry=0xbfe0bd4c "\270\311\355\n") at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gsignal.c:3296
#17 0xb4a48ca3 in g_signal_emit (instance=instance@entry=0xad25c00, signal_id=1, detail=1874) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gsignal.c:3352
#18 0xb4a3348f in g_object_dispatch_properties_changed (object=0xad25c00, n_pspecs=1, pspecs=0xbfe0bdfc) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gobject.c:1041
#19 0xafda4b72 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#20 0xb4a35028 in g_object_notify_by_spec_internal (pspec=<optimized out>, object=0xad25c00) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gobject.c:1133
#21 g_object_notify (object=0xad25c00, property_name=0xaf87a4f4 "source") at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gobject.c:1175
#22 0xaf84e9a9 in notify_source_cb (uridecodebin=uridecodebin@entry=0xaca9e90, pspec=0xad286f0, group=0xad25d04) at gstplaybin2.c:3445
#23 0xb4a31aaa in g_cclosure_marshal_VOID__PARAM (closure=closure@entry=0xabc0a810, return_value=return_value@entry=0x0, n_param_values=n_param_values@entry=2, param_values=param_values@entry=0xbfe0c000, invocation_hint=invocation_hint@entry=0xbfe0bfac, marshal_data=marshal_data@entry=0x0) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gmarshal.c:1042
#24 0xb4a2ee56 in g_closure_invoke (closure=0xabc0a810, return_value=return_value@entry=0x0, n_param_values=n_param_values@entry=2, param_values=param_values@entry=0xbfe0c000, invocation_hint=invocation_hint@entry=0xbfe0bfac) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gclosure.c:777
#25 0xb4a40925 in signal_emit_unlocked_R (node=node@entry=0xac48730, detail=detail@entry=1874, instance=instance@entry=0xaca9e90, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0xbfe0c000) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gsignal.c:3547
#26 0xb4a48b26 in g_signal_emit_valist (instance=instance@entry=0xaca9e90, signal_id=signal_id@entry=1, detail=detail@entry=1874, var_args=0xbfe0c220 "\220\236\312\n\320\022\247\264", var_args@entry=0xbfe0c21c "\360\206\322\n\220\236\312\n\320\022\247\264") at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gsignal.c:3296
#27 0xb4a48ca3 in g_signal_emit (instance=instance@entry=0xaca9e90, signal_id=1, detail=1874) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gsignal.c:3352
#28 0xb4a3348f in g_object_dispatch_properties_changed (object=0xaca9e90, n_pspecs=1, pspecs=0xbfe0c2cc) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gobject.c:1041
#29 0xafda4b72 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#30 0xb4a35028 in g_object_notify_by_spec_internal (pspec=<optimized out>, object=0xaca9e90) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gobject.c:1133
#31 g_object_notify (object=0xaca9e90, property_name=0xaf930b2c "source") at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./gobject/gobject.c:1175
#32 0xaf92b7ca in setup_source (decoder=0xaca9e90) at gsturidecodebin.c:2015
#33 gst_uri_decode_bin_change_state (element=0xaca9e90, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gsturidecodebin.c:2493
#34 0xafdc27fb in gst_element_change_state () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#35 0xafdc3222 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#36 0xafdc2531 in gst_element_set_state () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#37 0xafdad7f8 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#38 0xafde63a4 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#39 0xaf850ad9 in gst_play_bin_change_state (element=0xad25c00, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstplaybin2.c:3936
#40 0xafdc27fb in gst_element_change_state () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#41 0xafdc3222 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#42 0xafdc2531 in gst_element_set_state () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#43 0xafe9b930 in Phonon::Gstreamer::Pipeline::setState (this=0xaee2898, state=GST_STATE_PLAYING) at ../../gstreamer/pipeline.cpp:223
#44 0xafe9327e in Phonon::Gstreamer::MediaObject::requestState (this=0xaee8c80, state=Phonon::PlayingState) at ../../gstreamer/mediaobject.cpp:785
#45 0xafe93317 in Phonon::Gstreamer::MediaObject::play (this=0xaee8c80) at ../../gstreamer/mediaobject.cpp:231
#46 0xb38cb6b0 in Phonon::MediaObject::play (this=0xa9debc0) at ../../phonon/mediaobject.cpp:113
#47 0xb394c954 in ?? () from /usr/lib/python2.7/dist-packages/PyQt4/phonon.so
#48 0x0813b279 in PyEval_EvalFrameEx ()
#49 0x081417f0 in PyEval_EvalCodeEx ()
#50 0x0813b6ac in PyEval_EvalFrameEx ()
#51 0x081417f0 in PyEval_EvalCodeEx ()
#52 0x0819be1e in function_call ()
#53 0x080bfe6f in PyObject_Call ()
#54 0x0809be57 in instancemethod_call.8513 ()
#55 0x080bfe6f in PyObject_Call ()
#56 0x080c03f9 in PyEval_CallObjectWithKeywords ()
#57 0xb6043224 in sip_api_invoke_slot (slot=0xaf0f9fc, sigargs=(<QModelIndex at remote 0xa9b3c34>,)) at /build/buildd-sip4_4.13.2-1+b1-i386-jqS_My/sip4-4.13.2/siplib/qtlib.c:203
#58 0xb5f3d28d in PyQtProxy::invokeSlot(qpycore_slot const&, void**) () from /usr/lib/python2.7/dist-packages/PyQt4/QtCore.so
#59 0xb5f3d7cf in PyQtProxy::unislot(void**) () from /usr/lib/python2.7/dist-packages/PyQt4/QtCore.so
#60 0xb5f3d8db in PyQtProxy::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/python2.7/dist-packages/PyQt4/QtCore.so
#61 0xb6e477ed in metacall (argv=0xbfe0cfe8, idx=5, cl=QMetaObject::InvokeMetaMethod, object=0xaf0f9e0) at kernel/qmetaobject.cpp:245
#62 QMetaObject::metacall (object=0xaf0f9e0, cl=QMetaObject::InvokeMetaMethod, idx=5, argv=0xbfe0cfe8) at kernel/qmetaobject.cpp:240
#63 0xb6e57513 in QMetaObject::activate (sender=0x9ed2a78, m=0xb5659dbc, local_signal_index=3, argv=0xbfe0cfe8) at kernel/qobject.cpp:3566
#64 0xb5288d55 in QAbstractItemView::activated (this=0x9ed2a78, _t1=...) at .moc/release-shared/moc_qabstractitemview.cpp:362
#65 0xb5289290 in QAbstractItemView::mouseReleaseEvent (this=0x9ed2a78, event=0xbfe0d9e4) at itemviews/qabstractitemview.cpp:1821
#66 0xb58390ca in sipQTableView::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/python2.7/dist-packages/PyQt4/QtGui.so
#67 0xb4d2f5e7 in QWidget::event (this=0x9ed2a78, event=0xbfe0d9e4) at kernel/qwidget.cpp:8362
#68 0xb514da95 in QFrame::event (this=0x9ed2a78, e=0xbfe0d9e4) at widgets/qframe.cpp:557
#69 0xb51e10c1 in QAbstractScrollArea::viewportEvent (this=0x9ed2a78, e=0xbfe0d9e4) at widgets/qabstractscrollarea.cpp:1043
#70 0xb528741c in QAbstractItemView::viewportEvent (this=0x9ed2a78, event=0xbfe0d9e4) at itemviews/qabstractitemview.cpp:1644
#71 0xb5840070 in sipQTableView::viewportEvent(QEvent*) () from /usr/lib/python2.7/dist-packages/PyQt4/QtGui.so
#72 0xb51e3846 in viewportEvent (this=<optimized out>, event=0xbfe0d9e4) at widgets/qabstractscrollarea_p.h:100
#73 eventFilter (e=0xbfe0d9e4, this=<optimized out>, o=<optimized out>) at widgets/qabstractscrollarea_p.h:116
#74 QAbstractScrollAreaFilter::eventFilter (this=0x9efbef8, o=0x9ef90c8, e=0xbfe0d9e4) at widgets/qabstractscrollarea_p.h:115
#75 0xb6e40676 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9d2cc08, receiver=0x9ef90c8, event=0xbfe0d9e4) at kernel/qcoreapplication.cpp:986
#76 0xb4cd4f92 in notify_helper (e=0xbfe0d9e4, receiver=0x9ef90c8, this=0x9d2cc08) at kernel/qapplication.cpp:4555
#77 QApplicationPrivate::notify_helper (this=0x9d2cc08, receiver=0x9ef90c8, e=0xbfe0d9e4) at kernel/qapplication.cpp:4531
#78 0xb4cdadfc in QApplication::notify (this=0x9d2cc08, receiver=0x9ef90c8, e=0xbfe0d9e4) at kernel/qapplication.cpp:4102
#79 0xb3ccc6e1 in KApplication::notify (this=0x9d24de0, receiver=0x9ef90c8, event=0xbfe0d9e4) at ../../kdeui/kernel/kapplication.cpp:311
#80 0xb45ca940 in notify (a1=0xbfe0d9e4, a0=0x9ef90c8, this=0x9d24de0) at sip/kdeui/sipkdeuipart7.cpp:53793
#81 sipKApplication::notify (this=0x9d24de0, a0=0x9ef90c8, a1=0xbfe0d9e4) at sip/kdeui/sipkdeuipart7.cpp:53785
#82 0xb6e404de in QCoreApplication::notifyInternal (this=0x9d24de0, receiver=0x9ef90c8, event=0xbfe0d9e4) at kernel/qcoreapplication.cpp:876
#83 0xb4cd5f80 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#84 QApplicationPrivate::sendMouseEvent (receiver=0x9ef90c8, event=0xbfe0d9e4, alienWidget=0x9ef90c8, nativeWidget=0x9e7cab0, buttonDown=0xb5669cf4, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3170
#85 0xb4d5f974 in QETWidget::translateMouseEvent (this=0x9e7cab0, event=0xbfe0de9c) at kernel/qapplication_x11.cpp:4523
#86 0xb4d5e53e in QApplication::x11ProcessEvent (this=0x9d24de0, event=0xbfe0de9c) at kernel/qapplication_x11.cpp:3646
#87 0xb4d8aa6c in x11EventSourceDispatch (s=s@entry=0x9d2ca98, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#88 0xb6b1d633 in g_main_dispatch (context=0x9d2dd80) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./glib/gmain.c:2539
#89 g_main_context_dispatch (context=context@entry=0x9d2dd80) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./glib/gmain.c:3075
#90 0xb6b1d9d0 in g_main_context_iterate (context=context@entry=0x9d2dd80, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./glib/gmain.c:3146
#91 0xb6b1dab1 in g_main_context_iteration (context=0x9d2dd80, may_block=1) at /build/buildd-glib2.0_2.32.3-1-i386-987P8N/glib2.0-2.32.3/./glib/gmain.c:3207
#92 0xb6e735e7 in QEventDispatcherGlib::processEvents (this=0x9a44c80, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#93 0xb4d8a66a in QGuiEventDispatcherGlib::processEvents (this=0x9a44c80, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#94 0xb6e3f04d in QEventLoop::processEvents (this=0xbfe0e194, flags=...) at kernel/qeventloop.cpp:149
#95 0xb6e3f2e9 in QEventLoop::exec (this=0xbfe0e194, flags=...) at kernel/qeventloop.cpp:204
#96 0xb6e44a1a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#97 0xb4cd2e34 in QApplication::exec () at kernel/qapplication.cpp:3820
#98 0xb5a3fb62 in meth_QApplication_exec_ () from /usr/lib/python2.7/dist-packages/PyQt4/QtGui.so
#99 0x0813b279 in PyEval_EvalFrameEx ()
#100 0x0813b79c in PyEval_EvalFrameEx ()
#101 0x081417f0 in PyEval_EvalCodeEx ()
#102 0x0819ad51 in PyRun_FileExFlags ()
#103 0x0819c61a in PyRun_SimpleFileExFlags ()
#104 0x0819d6a8 in Py_Main ()
#105 0x0806109b in main ()

this normally happens just after the player tries to play a file whose name has an encoding error (although file names, or filesystems actually, don't quite have associated encodings) and I force the player to play the next song. in this situation the MediaObject's queue should be empty. I also have this log [comments between brackets]:

[the previous song was playing]

About to finish 
Got next source. Waiting for end of current. 
New source:  QUrl( "file:///home/mdione/media/music/Charly Garc�a/Alta fidelidad/10-Cerca de la revoluci�n.mp3" )  

[^^^ the source path is 'invalid']

Finally got a source 
1 
1 
Transitioning to state "null" 
State change 

[at some point around here it finds that the file in unplayable because the 'invalid'path]

Moving from "playing" 2 to "paused" 4 
State change 
Moving from "paused" 4 to "ready" 1 
Transitioning to state "null" 
Transitioning to state "ready" 
State change 

[and at some point around here I set a new source after detecting the error in a slot connected to MediaObject.stateChanged()]

Moving from "null" 0 to "ready" 1 
Setting new source 
New source:  QUrl( "file:///home/mdione/media/music/Aerosmith/Aerosmith/Just push play/Jaded.mp3" )  

[^^^ the next song, but it doesn't actually play it]

Transitioning to state "playing" 
1 
1 
Transitioning to state "null" 
Transitioning to state "null" 
Transitioning to state "ready" 
State change 
Moving from "null" 0 to "ready" 1 
Transitioning to state "ready" 
Setting new source 
New source:  QUrl( "file:///home/mdione/media/music/Aerosmith/Aerosmith/Just push play/Just push play.mp3" )  

[^^^ for some reason another source is set

Transitioning to state "playing" 

[crash]

(python2.7:26177): GLib-GObject-CRITICAL **: g_object_get: assertion `G_IS_OBJECT (object)' failed

I can provide more info (my app's logs) and maybe a working minimal example, but no warranties :|
Comment 14 Marcos Dione 2012-05-23 22:13:34 UTC
(In reply to comment #13)
> this also occurs in other apps different from amarok. in particular, I'm
> toying with with python-phonon and I get a similar backtrace:

  I forgot about my setup:

Debian Sid as of last sunday:

ii  libphonon4:i386                      4:4.6.0.0-2                        multimedia framework from KDE - core library
ii  phonon:i386                          4:4.6.0.0-2                        multimedia framework from KDE - metapackage
ii  phonon-backend-gstreamer:i386        4:4.6.0.0-2                        Phonon GStreamer 0.10.x backend
ii  python-qt4-phonon                    4.9.1-3                            Python bindings for Phonon
Comment 15 Jekyll Wu 2012-05-28 09:14:57 UTC
*** Bug 300742 has been marked as a duplicate of this bug. ***
Comment 16 Myriam Schweingruber 2012-06-04 07:30:54 UTC
*** Bug 301135 has been marked as a duplicate of this bug. ***
Comment 17 Myriam Schweingruber 2012-06-07 04:35:16 UTC
*** Bug 301309 has been marked as a duplicate of this bug. ***
Comment 18 Myriam Schweingruber 2012-06-17 20:44:43 UTC
*** Bug 302018 has been marked as a duplicate of this bug. ***
Comment 19 Harald Sitter 2012-06-18 02:46:29 UTC
Mhhh..
So I was just looking at bug 302018 and it is said there that the crash happens after amarok failed to go to the next track and consequently stopped playback which lead to the reporter triggering a manual play.

2 things
a) is it a general pattern that amarok first stops?
b) someone please get a full debug log by running this in a terminal:

export PHONON_DEBUG=5
export PHONON_BACKEND_DEBUG=5
export PHONON_GST_DEBUG=5
amarok --nofork --debug &> amarok.log

that creates a file amarok.log, please compress that one and attach it to this bug

TIA


also for developer reference: I do not think that the fix from comment 2 has any value as m_pipeline is reffed in the ctor and only unreffed in the dtor, so I do not think the pipeline goes away while we work on it
Comment 20 Marcos Dione 2012-06-23 08:01:27 UTC
(In reply to comment #19)
> a) is it a general pattern that amarok first stops?

  as I said previously, I don't use amarok, but yes, the pattern is like that.

> b) someone please get a full debug log by running this in a terminal:
> 
> export PHONON_DEBUG=5
> export PHONON_BACKEND_DEBUG=5
> export PHONON_GST_DEBUG=5
> amarok --nofork --debug &> amarok.log

  here's mine, comments between brackets:

Stream changed to file:///home/mdione/media/music/Blur/13%20%28Limited%20edition%29/04-Swamp%20song.mp3 

[this song plays fine]

Metadata ready, sending to zeitgeist 
void Phonon::MediaObjectPrivate::_k_currentSourceChanged(const Phonon::MediaSource&) 
About to finish 
void Phonon::MediaObjectPrivate::_k_aboutToFinish() 
Got next source. Waiting for end of current. 
New source:  QUrl( "file:///home/mdione/media/music/Los Rodr�guez/Buena suerte/04-Mi enfermedad.mp3" )  

[this song is unplayable due to the strange character there; that's another known bug]

Finally got a source 
1 
1 
Transitioning to state "null" 

[I think this is when the player stops]

[from here on I might had hit pause/play and next a couple of times]

State change 
Moving from "playing" 2 to "paused" 4 
State change 
Moving from "paused" 4 to "ready" 1 
Transitioning to state "null" 
State changed from 2 to 4 -> sending to zeitgeist. 
State changed from 4 to 1 -> sending to zeitgeist. 
Transitioning to state "paused" 
State change 
Moving from "null" 0 to "ready" 1 
1 
1 
State changed from 0 to 1 -> sending to zeitgeist. 
Transitioning to state "null" 
Transitioning to state "null" 
Transitioning to state "playing" 
State change 
Moving from "null" 0 to "ready" 1 
State changed from 0 to 1 -> sending to zeitgeist. 
Transitioning to state "ready" 
void Phonon::MediaObject::setCurrentSource(const Phonon::MediaSource&) 1  QUrl( "file:///home/mdione/media/music/Ac-Dc/Fly on the Wall/07 - Stand Up.mp3" )  "" 
Transitioning to state "ready" 
Setting new source 
New source:  QUrl( "file:///home/mdione/media/music/Ac-Dc/Fly on the Wall/07 - Stand Up.mp3" )  
Transitioning to state "playing" 
1 
1 
Transitioning to state "null" 
Transitioning to state "null" 
void Phonon::MediaObject::setCurrentSource(const Phonon::MediaSource&) 1  QUrl( "file:///home/mdione/media/music/Sheryl Crow/Sheryl crow/10-Superstar.mp3" )  "" 
Transitioning to state "ready" 
State change 
Moving from "null" 0 to "ready" 1 
Setting new source 
New source:  QUrl( "file:///home/mdione/media/music/Sheryl Crow/Sheryl crow/10-Superstar.mp3" )  
Transitioning to state "playing" 

[crash]

(python2.7:10525): GLib-GObject-CRITICAL **: g_object_get: assertion `G_IS_OBJECT (object)' failed
KCrash: Application 'satyr_main' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/mdione/.kde/socket-mustang/kdeinit4__0
Comment 21 Myriam Schweingruber 2012-06-25 08:34:07 UTC
*** Bug 302453 has been marked as a duplicate of this bug. ***
Comment 22 Myriam Schweingruber 2012-06-25 08:39:01 UTC
Harald: I was just browsing a few upstream reports in gstreamer with various keywords I use when searching for duplicates and came across this report: https://bugzilla.gnome.org/show_bug.cgi?id=678220 It was fixed a few days ago only, might be related.
Comment 23 Harald Sitter 2012-06-25 10:50:47 UTC
Not sure, the upstream report is about a deadlock whereas this bug is about a crash. This might still be an upstream problem, as I mentioned from our POV this should not crash there as we hold a reference to the pipeline for the entire life time of our wrapping class.

Marcos please not the "that creates a file amarok.log, please compress that one and attach it to this bug" part of my request. Also I do not see any amarok output, are you sure you stated it with --debug?
Comment 24 Marcos Dione 2012-06-28 06:18:49 UTC
(In reply to comment #23)
> Marcos please not the "that creates a file amarok.log, please compress that
> one and attach it to this bug" part of my request. Also I do not see any
> amarok output, are you sure you stated it with --debug?

I'm not using amarok, but an application I developed myself in pyqt/pykde. I can try to see if I can reproduce the bug in amarok, but I'm not sure it will pick up the files that trigger this crash (in my case, filenames that include bytes that don't decode in my global encoding; in my case, UTF-8).
Comment 25 vin_c_007 2012-07-02 18:07:34 UTC
(Sorry for the delay)
I got some full debug logs, and I have found that the bug is linked to a file that does not exist anymore. The song appears greyed out in the playlist.When amarok tries to play it, it stops, freezes then crashes.

I first thought of an encoding problem (amarok3.log), but it also happens when the whole path does not contain any special characters. (amarok4.log)

I can now reproduce the bug anytime.
Comment 26 vin_c_007 2012-07-02 18:09:24 UTC
Created attachment 72289 [details]
Full debug logs

See especially amarok3.log and amarok4.log.
Comment 27 Erick Osorio 2012-07-04 12:25:40 UTC
Created attachment 72321 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.4 (4.8.4) "release 513" using Qt 4.8.2

- What I was doing when the application crashed:

only star to play a file, then crashed. Sometimes crash with out interacction of user, like middle of song.

-- Backtrace (Reduced):
#6  0x00007f44face7d2a in g_value_set_object (value=0x7fff02e64910, v_object=0x7f44d0032500) at gobject.c:3139
#7  0x00007f44e49f056f in gst_play_bin_get_property (object=, prop_id=<optimized out>, value=0x7fff02e64910, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00007f44face566e in object_get_property (value=0x7fff02e64910, pspec=<optimized out>, object=) at gobject.c:1138
#9  g_object_get_valist (object=, first_property_name=<optimized out>, var_args=0x7fff02e64978) at gobject.c:1794
#10 0x00007f44face5ac7 in g_object_get (_object=0x2ef63c0, first_property_name=0x7f44eae42fbb "source") at gobject.c:1884
Comment 28 Myriam Schweingruber 2012-07-12 17:10:30 UTC
*** Bug 303401 has been marked as a duplicate of this bug. ***
Comment 29 Juliano Timm 2012-07-18 02:05:18 UTC
Created attachment 72597 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.1

- What I was doing when the application crashed:

Play one especific music, i don't know, but the problem can be sound file.

-- Backtrace (Reduced):
#6  g_value_set_object (value=0x7fffb2480cd0, v_object=0x2) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:3411
#7  0x00007f71f7428788 in gst_play_bin_get_property (object=0x20d8900, prop_id=<optimized out>, value=0x7fffb2480cd0, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00007f7212b5b93e in object_get_property (value=0x7fffb2480cd0, pspec=<optimized out>, object=0x20d8900) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:1289
#9  g_object_get_valist (object=0x20d8900, first_property_name=<optimized out>, var_args=0x7fffb2480d38) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:2014
#10 0x00007f7212b5bd97 in g_object_get (_object=0x20d8900, first_property_name=0x7f71fe08faa3 "source") at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:2104
Comment 30 Jekyll Wu 2012-07-26 09:06:01 UTC
*** Bug 304075 has been marked as a duplicate of this bug. ***
Comment 31 jernej.makovsek 2012-08-05 12:22:50 UTC
Created attachment 72969 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.9.00 using Qt 4.8.1

- What I was doing when the application crashed:
Pressing the media button for playing next song.

-- Backtrace (Reduced):
#6  g_value_set_object (value=0x7fff5f629010, v_object=0x2) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:3411
#7  0x00007f3244cb8788 in gst_play_bin_get_property (object=0x1ed47b0, prop_id=<optimized out>, value=0x7fff5f629010, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00007f325dc5993e in object_get_property (value=0x7fff5f629010, pspec=<optimized out>, object=0x1ed47b0) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:1289
#9  g_object_get_valist (object=0x1ed47b0, first_property_name=<optimized out>, var_args=0x7fff5f629078) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:2014
#10 0x00007f325dc59d97 in g_object_get (_object=0x1ed47b0, first_property_name=0x7f324b8f7aa3 "source") at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:2104
Comment 32 the.mormegil.archmage 2012-08-12 09:03:37 UTC
Created attachment 73108 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.1

- What I was doing when the application crashed:

Playing a plsylist of music files. The app crashed, and when I checked the files were shown to have length of 0:00 minutes. Of course this is false; I checked for problems with the files themselves but VLC seems to play them without problems. Maybe there was a problem when importing the library? I don't know. 

Oh, and I didn't move the files about after adding them, if you're wondering.

-- Backtrace (Reduced):
#7  0xb4270ea5 in g_value_set_object (value=0xbfb65b0c, v_object=0xb428d786) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:3411
#8  0xa34bb405 in gst_play_bin_get_property (object=0xa0f89e8, prop_id=3, value=0xbfb65b0c, pspec=0xa0f3c28) at gstplaybin2.c:2018
#9  0xb426f020 in object_get_property (value=0xbfb65afc, pspec=<optimized out>, object=0xa0f89e8) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:1289
#10 g_object_get_valist (object=0xa0f89e8, first_property_name=0xac004b0f "source", var_args=0xbfb65b68 "\234[\266\277") at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:2014
#11 0xb426f3a8 in g_object_get (_object=0xa0f89e8, first_property_name=0xac004b0f "source") at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:2104
Comment 33 Myriam Schweingruber 2012-08-15 00:20:37 UTC
The phonon-backend-gstreamer version 4.6.2 has been released, could you please test? Ideally please also upgrade your Amarok version, 2.6 was released yesterday as well.
Comment 34 Prasad Murthy 2012-08-15 02:57:36 UTC
Created attachment 73171 [details]
New crash information added by DrKonqi

amarok (2.6.0) on KDE Platform 4.9.00 using Qt 4.8.2

- What I was doing when the application crashed:

I changed the track to next by dragging the tack selector on top, then Amarok crashed

-- Backtrace (Reduced):
#6  0x00007fb64fa77bce in g_value_set_object (value=0x7fff90c75420, v_object=0x7fb5d8080a10) at /build/buildd/glib2.0-2.33.8/./gobject/gobject.c:3405
#7  0x00007fb636054218 in gst_play_bin_get_property (object=0xfc3200, prop_id=<optimized out>, value=0x7fff90c75420, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00007fb64fa75d1e in object_get_property (value=0x7fff90c75420, pspec=<optimized out>, object=0xfc3200) at /build/buildd/glib2.0-2.33.8/./gobject/gobject.c:1294
#9  g_object_get_valist (object=object@entry=0xfc3200, first_property_name=first_property_name@entry=0x7fb63cc94ac7 "source", var_args=var_args@entry=0x7fff90c754c8) at /build/buildd/glib2.0-2.33.8/./gobject/gobject.c:2019
#10 0x00007fb64fa761a7 in g_object_get (_object=0xfc3200, first_property_name=0x7fb63cc94ac7 "source") at /build/buildd/glib2.0-2.33.8/./gobject/gobject.c:2109
Comment 35 andrew lane 2012-08-16 14:43:45 UTC
Created attachment 73236 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.1

- What I was doing when the application crashed:

Listening to Amarok ; installing flash player. Previously ,security updates were installed.

-- Backtrace (Reduced):
#6  g_value_set_object (value=0x7fff3c28ec00, v_object=0x2) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:3411
#7  0x00007f7e6483b788 in gst_play_bin_get_property (object=0x194bd50, prop_id=<optimized out>, value=0x7fff3c28ec00, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00007f7e8244993e in object_get_property (value=0x7fff3c28ec00, pspec=<optimized out>, object=0x194bd50) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:1289
#9  g_object_get_valist (object=0x194bd50, first_property_name=<optimized out>, var_args=0x7fff3c28ec68) at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:2014
#10 0x00007f7e82449d97 in g_object_get (_object=0x194bd50, first_property_name=0x7f7e6f47baa3 "source") at /build/buildd/glib2.0-2.32.3/./gobject/gobject.c:2104
Comment 36 Jekyll Wu 2012-08-19 11:35:54 UTC
*** Bug 305426 has been marked as a duplicate of this bug. ***
Comment 37 Jekyll Wu 2012-08-19 11:36:36 UTC
*** Bug 305422 has been marked as a duplicate of this bug. ***
Comment 38 Myriam Schweingruber 2012-08-19 23:53:43 UTC
*** Bug 305461 has been marked as a duplicate of this bug. ***
Comment 39 Harald Sitter 2012-08-21 08:48:26 UTC
I do very much think that this is in fact an issue with GStreamer itself. There at least is a similar crash I know about when some element's state is not properly reset on source change. Which would very much put this issue into the realm of gstreamer's playbin2. To know for sure it would be good if someone who is affected to get his hands on a gstreamer git master build and see if the issue also presents with that. (you'll need at least libgstreamer and -base)
Comment 40 Myriam Schweingruber 2012-08-28 20:11:05 UTC
*** Bug 305928 has been marked as a duplicate of this bug. ***
Comment 41 vin_c_007 2012-08-28 20:15:04 UTC
(In reply to comment #33)
> The phonon-backend-gstreamer version 4.6.2 has been released, could you
> please test? Ideally please also upgrade your Amarok version, 2.6 was
> released yesterday as well.
It still doesn't work with amarok 2.6 and Phonon-backend-gstreamer Version:4:4.7.0really4.6.0-0ubuntu1 (is it the right one ?)

(In reply to comment #39)
> To know for sure it would be good if
> someone who is affected to get his hands on a gstreamer git master build and
> see if the issue also presents with that. (you'll need at least libgstreamer
> and -base)
I don't know what to do, but I can help if you tell me.
Comment 42 Benjamin 2012-08-29 06:52:58 UTC
The current used version of the phonon-backend-gstreamer is called:

4:4.7.0really4.6.2-0ubuntu1~precise1~ppa1

I've never noticed this bug before, I had another one but that seems to be
solved in the new version of amarok.
Comment 43 Myriam Schweingruber 2012-09-06 08:37:10 UTC
*** Bug 306300 has been marked as a duplicate of this bug. ***
Comment 44 Adam Pigg 2012-09-07 19:57:12 UTC
Not sure if it will help, but after an update to opensuse 12.2, i was having a crash similar to 300742, which is marked as a duplicate of this.

All notifications would crash in phonon-gstreamer.  Eventually, i found out that gstreamer couldnt see any plugins, even though they were installed.  I deleted my gstreamer registry in ~/.gstreamer-10, and it then worked fine.

Backtrace http://pastebin.com/nnaUmJ4N
Debug log  http://pastebin.com/VkXSsNy4
Comment 45 Myriam Schweingruber 2012-09-13 15:06:55 UTC
*** Bug 306739 has been marked as a duplicate of this bug. ***
Comment 46 Myriam Schweingruber 2012-09-15 11:50:34 UTC
*** Bug 306811 has been marked as a duplicate of this bug. ***
Comment 47 Myriam Schweingruber 2012-10-11 23:44:12 UTC
*** Bug 308261 has been marked as a duplicate of this bug. ***
Comment 48 Myriam Schweingruber 2012-10-19 08:09:19 UTC
*** Bug 308637 has been marked as a duplicate of this bug. ***
Comment 49 Myriam Schweingruber 2012-10-30 10:30:15 UTC
*** Bug 309057 has been marked as a duplicate of this bug. ***
Comment 50 Myriam Schweingruber 2012-10-30 10:45:44 UTC
*** Bug 309074 has been marked as a duplicate of this bug. ***
Comment 51 Myriam Schweingruber 2012-11-08 09:53:28 UTC
*** Bug 309705 has been marked as a duplicate of this bug. ***
Comment 52 Myriam Schweingruber 2012-11-10 09:48:20 UTC
*** Bug 309838 has been marked as a duplicate of this bug. ***
Comment 53 Myriam Schweingruber 2012-11-10 09:50:55 UTC
Please, all, see comment #39 and test with gstreamer master.
Comment 54 Harald Sitter 2012-11-10 16:27:58 UTC
Having more affected users now, let's again try to find the root cause by getting more samples. Before you start please try to get a hold of phonon gstreamer 4.6.2 (your distribution may probably have packages available somewhere, best ask in a forum or in your distribution's respective IRC channels).

Please open a terminal and do the following:

export PHONON_DEBUG=5
export PHONON_BACKEND_DEBUG=5
export PHONON_GST_DEBUG=5
amarok --nofork --debug &> amarok.log

This starts Amarok so yo can try to trigger the crash. Once that happens you may get a new backtrace via the debug dialog, simply save that to  a file in your home directory. The commands above also create a file called amarok.log in that directory.
Next run the following in a terminal:

export PHONON_DEBUG=5
export PHONON_BACKEND_DEBUG=5
export PHONON_GST_DEBUG=5
export PHONON_GST_GST_DEBUG=5
export PHONON_SUBSYSTEM_DEBUG=5
amarok --nofork --debug &> amarok-v.log

Again this starts Amarok so you can trigger the crash. This time you do not need to get a backtrace as it will be the same as in the previous attempt (if you want to you can still do at the off chance of it being different that would certainly help us). This time we created a file called amarok-v.log in your home directory.

Finally if you feel that your computer is fast enough please do the following (or continue reading at +++++++++++++++++):

Run the command kdebugdialog (either via a terminal or Alt+F2 or your application menu) in this dialog select all and make sure that debug output is in enabled. This activates debugging for every piece of KDE software and can be undone once you are done by simply running kdebugdialog again disabling all debug output.
Once you are done with that we again turn to a terminal:

export PHONON_DEBUG=5
export PHONON_BACKEND_DEBUG=5
export PHONON_GST_DEBUG=5
export PHONON_GST_GST_DEBUG=5
export PHONON_SUBSYSTEM_DEBUG=8
amarok --nofork --debug &> amarok-vv.log

Same procedure as before. This time it creates a file called amarok-vv.log which will contain insane amounts of debug logs (we are talking thousands of lines per second here). Don't forget to run kdebugdialog if you don't want continuous excessive debug output from KDE software ;)

+++++++++++++++++
Now you only need to compress the files and upload them to this bug. This is easiest done in a terminal by doing:

cd $HOME
xz -9 amarok.log
xz -9 amarok-v.log
xz -9 amarok-vv.log

(note that the last command will fail if you have not done the last bit for somewhat more powerful computers). You should now have 2-3 files in your home directory named amarok.log.xz, amarok-v.log.xz and (possibly) amarok-vv.log.xz

At the bottom of this bug report you find a list of attachements and at the bottom of the list is a link titled 'Add an attachment' click it and start uploading the 2-3 files, please use the following as description:
amarok.log.xz -> Amarok Debug Log
amarok-v.log.xz -> Amarok Verbose Debug Log
amarok-vv.log.xz -> Amarok Verbose Verbose Debug Log

If you created a backtrace please also upload that with a useful description ('phonon gstreamer 4.6.2 backtrace' would be a good one ;)). The backtrace needs no compression as it will be a rather small file, if you still wish to compress it that is fine by us.

Please do not pack the logs into one archive though (tar, rar, zip, whatever), the point of this exercise is to get a number of samples that we can easily compare with one another so the easier we can select random samples of one type the better.
Comment 55 Harald Sitter 2012-11-10 16:31:12 UTC
Oh and please specify your Amarok version in the comment of one of your uploads. Thanks.
Comment 56 Alan Ezust 2012-11-10 17:15:41 UTC
Question from Harold Slitter:
> happens after amarok failed to go to the next track and consequently stopped playback which 
>lead to the reporter triggering a manual play. 
> a) is it a general pattern that amarok first stops?
For me, it doesn't just crash between tracks without any user interaction.
Amarok first stops playback (although the desktop icon thinks it is still playing).
The crash only happens after I try to play or skip to the next track after it has entered this state.
Comment 57 Mathias Panzenböck 2012-11-10 17:52:22 UTC
(In reply to comment #56)
> For me, it doesn't just crash between tracks without any user interaction.
> Amarok first stops playback (although the desktop icon thinks it is still
> playing).
> The crash only happens after I try to play or skip to the next track after
> it has entered this state.

Sometimes I get this behavior, too. And sometimes it immediately crashes on start up. Amarok 2.x is generally much more unstable than 1.x (who knows if it's actually Phonon, that's what I see - and dragon player doesn't seem to be that unstable, so there is at least something special to Amarok about this).
Comment 58 Harald Sitter 2012-11-10 18:33:57 UTC
the full debug logs attachment suggests that something in the communication between amarok and phonon gstreamer goes wrong putting latter in an undefined state so it subsequently falls on its face.

this is confirmed by comment #44, while a completely different bug to begin with it shows the same symptom so this crash here may be caused by a set of preconditions that are possibly unrelated making it a bit tricky to debug, hence why a lot more debug logs would be helpful.
Comment 59 Myriam Schweingruber 2012-11-13 20:46:17 UTC
*** Bug 310047 has been marked as a duplicate of this bug. ***
Comment 60 Myriam Schweingruber 2012-11-19 12:05:50 UTC
*** Bug 310292 has been marked as a duplicate of this bug. ***
Comment 61 Myriam Schweingruber 2012-11-29 23:11:39 UTC
*** Bug 310895 has been marked as a duplicate of this bug. ***
Comment 62 Myriam Schweingruber 2012-12-13 15:30:20 UTC
*** Bug 311632 has been marked as a duplicate of this bug. ***
Comment 63 Alan Ezust 2012-12-13 17:16:01 UTC
I haven't seen this crash in a while now. I am using phonon-backend-gstreamer 
 pool/main/p/phonon-backend-gstreamer/phonon-backend-gstreamer_4.6.0.0-2_amd64.deb
Amarok built from git from November. KDE 4.8.4
Comment 64 Myriam Schweingruber 2013-01-11 22:57:26 UTC
*** Bug 313107 has been marked as a duplicate of this bug. ***
Comment 65 Myriam Schweingruber 2013-01-16 08:24:01 UTC
*** Bug 313338 has been marked as a duplicate of this bug. ***
Comment 66 Etson 2013-01-16 15:09:34 UTC
Created attachment 76510 [details]
New crash information added by DrKonqi

amarok (2.6.0) on KDE Platform 4.9.4 using Qt 4.8.3

- What I was doing when the application crashed:
Intenté iniciar la reproducción de amarok.

-- Backtrace (Reduced):
#6  g_value_set_object (value=0x7fff42f25850, v_object=0xffffffff) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:3578
#7  0x00007fcb907ae218 in gst_play_bin_get_property (object=0x237ebb0, prop_id=<optimized out>, value=0x7fff42f25850, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00007fcbaa23aace in object_get_property (value=0x7fff42f25850, pspec=<optimized out>, object=0x237ebb0) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1294
#9  g_object_get_valist (object=object@entry=0x237ebb0, first_property_name=first_property_name@entry=0x7fcb97414ac7 "source", var_args=var_args@entry=0x7fff42f258f8) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:2019
#10 0x00007fcbaa23af57 in g_object_get (_object=0x237ebb0, first_property_name=0x7fcb97414ac7 "source") at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:2109
Comment 67 Hrvoje Senjan 2013-01-29 20:16:37 UTC
Created attachment 76793 [details]
New crash information added by DrKonqi

amarok (2.7-git) on KDE Platform 4.10.60 "release 59" using Qt 4.8.5

- What I was doing when the application crashed:

Adding backtrace first, will try to reproduce w/ steps in comment #54
Using latest and greatest git checkouts of phonon(-gstreamer)/amarok

-- Backtrace (Reduced):
#6  0x00007f9752bf95f5 in g_value_set_object () from /usr/lib64/libgobject-2.0.so.0
#7  0x00007f9732672bf8 in gst_play_bin_get_property (object=0x29e51b0, prop_id=<optimized out>, value=0x7fff69113840, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00007f9752bf73ae in g_object_get_valist () from /usr/lib64/libgobject-2.0.so.0
#9  0x00007f9752bf7837 in g_object_get () from /usr/lib64/libgobject-2.0.so.0
#10 0x00007f97416176fb in Phonon::Gstreamer::Pipeline::cb_setupSource (playbin=<optimized out>, param=<optimized out>, data=0x29e0620) at /usr/src/debug/phonon-gstreamer-4.6.55.git.1359344414/gstreamer/pipeline.cpp:830
Comment 68 Myriam Schweingruber 2013-01-30 12:58:22 UTC
Setting status correctly.
Comment 69 Myriam Schweingruber 2013-02-06 00:28:04 UTC
*** Bug 314485 has been marked as a duplicate of this bug. ***
Comment 70 Fuzzyfred 2013-02-19 16:48:43 UTC
Created attachment 77439 [details]
New crash information added by DrKonqi

amarok (2.7.0) on KDE Platform 4.10.00 "release 550" using Qt 4.8.4

- What I was doing when the application crashed:
I wanted to play music with amarok and nothing happens.

-- Backtrace (Reduced):
#6  g_value_set_object (value=0x7fffd8d90140, v_object=0xffffffff) at gobject.c:3411
[...]
#8  0x00007f82d391907e in object_get_property (value=0x7fffd8d90140, pspec=<optimized out>, object=) at gobject.c:1289
#9  g_object_get_valist (object=object@entry=, first_property_name=first_property_name@entry=0x7f82c1cd977c "source", var_args=var_args@entry=0x7fffd8d901e8) at gobject.c:2014
#10 0x00007f82d3919507 in g_object_get (_object=0x204da80, first_property_name=0x7f82c1cd977c "source") at gobject.c:2104
#11 0x00007f82c1ccb1a5 in Phonon::Gstreamer::Pipeline::cb_setupSource (playbin=<optimized out>, param=<optimized out>, data=0x2047c20) at /usr/src/debug/phonon-backend-gstreamer-4.6.2/gstreamer/pipeline.cpp:828
Comment 71 Rohan Garg 2013-02-19 17:41:40 UTC
Hi
Would it be possible to check with the latest 4.6.3 bugfix release if this is fixed?
Comment 72 Rohan Garg 2013-02-19 17:53:32 UTC
Oh and if the crash is still there, could you attach all the logs as well ( Same instructions as in the comments earlier )
Comment 73 Myriam Schweingruber 2013-02-19 18:43:58 UTC
Setting status correctly.
Comment 74 David Roth 2013-02-19 21:29:31 UTC
Still happens, Arch x86-64 phonon-gstreamer 4.6.3 and pulse 3.0 here. It happens pretty randomly, though some tracks may be more affected than others and are more likely cause a crash, but I can't really  make out a pattern. Attachments of the three debug outputs should be coming in soonish, don't have a backtrace though sorry
Comment 75 David Roth 2013-02-19 21:31:02 UTC
Created attachment 77444 [details]
Amarok Debug Log
Comment 76 Harald Sitter 2013-02-20 10:55:08 UTC
(In reply to comment #75)
> Created attachment 77444 [details]
> Amarok Debug Log

I do not think that is the same crash. Backtrace would be very helpful really.

The crash happens in the setupsource callback, however it appears your track started playing just fine and you got a crash *after* the callback was run...
Comment 77 David Roth 2013-02-21 17:36:07 UTC
Seems you're right, it indeed is mostly crashing after it already started playing, Done some searching and it seems like a recurrence of https://bugs.kde.org/show_bug.cgi?id=279813 with qtwebkit 2.3 Beta. Off to whine to the qtwebkit-devs and disable the Wikipedia applet in the meantime sorry for the noise.
Comment 78 Rado 2013-02-27 00:44:53 UTC
Application: amarok (2.6.0)
KDE Platform Version: 4.9.4
Qt Version: 4.8.3
Operating System: Linux 3.5.0-25-generic x86_64
Distribution: Ubuntu 12.10

-- Information about the crash:
- What I was doing when the application crashed:
Selected next song to play (using the media keys).

Amarok version: 2.6.0
KDE Version: 4.9.4
OS: Xubuntu 12.10

The crash can be reproduced some of the time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ffa62a837c0 (LWP 3103))]

Thread 12 (Thread 0x7ffa429a9700 (LWP 3104)):
#0  0x00007ffa5f3e3303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ffa59e3dd84 in g_main_context_poll (n_fds=3, fds=0x7ffa3c0010f0, timeout=-1, context=0xe041a0, priority=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3584
#2  g_main_context_iterate (context=0xe041a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3285
#3  0x00007ffa59e3e1e2 in g_main_loop_run (loop=0xe04130) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3484
#4  0x00007ffa49fe44a6 in gdbus_shared_thread_func (user_data=0xe04170) at /build/buildd/glib2.0-2.34.1/./gio/gdbusprivate.c:277
#5  0x00007ffa59e61645 in g_thread_proxy (data=0xe08590) at /build/buildd/glib2.0-2.34.1/./glib/gthread.c:797
#6  0x00007ffa511ee764 in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#7  0x00007ffa5b933e9a in start_thread (arg=0x7ffa429a9700) at pthread_create.c:308
#8  0x00007ffa5f3eecbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7ffa2e110700 (LWP 3120)):
#0  0x00007ffa5f3e3303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ffa59e3dd84 in g_main_context_poll (n_fds=1, fds=0x7ffa1c0019e0, timeout=-1, context=0x7ffa1c000a10, priority=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3584
#2  g_main_context_iterate (context=context@entry=0x7ffa1c000a10, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3285
#3  0x00007ffa59e3dea4 in g_main_context_iteration (context=0x7ffa1c000a10, may_block=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3351
#4  0x00007ffa5fd79c16 in QEventDispatcherGlib::processEvents (this=0x7ffa1c000930, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007ffa5fd4a2bf in QEventLoop::processEvents (this=this@entry=0x7ffa2e10fcd0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007ffa5fd4a548 in QEventLoop::exec (this=0x7ffa2e10fcd0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007ffa5fc4bb10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007ffa5fd2a9af in QInotifyFileSystemWatcherEngine::run (this=0x181bcf0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007ffa5fc4eaec in QThreadPrivate::start (arg=0x181bcf0) at thread/qthread_unix.cpp:338
#10 0x00007ffa511ee764 in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#11 0x00007ffa5b933e9a in start_thread (arg=0x7ffa2e110700) at pthread_create.c:308
#12 0x00007ffa5f3eecbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7ffa2367b700 (LWP 3125)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffa5fc4f04b in wait (time=18446744073709551615, this=0x1e6f910) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1859840, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007ffa5cea70e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e79380, th=0x2066130) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ffa5cea992b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e3d330, th=0x2066130) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ffa5cea879f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7ffa2367ad00, parent=0x1e79380, th=th@entry=0x2066130) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ffa5cea882b in ThreadWeaver::Thread::run (this=0x2066130) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ffa5fc4eaec in QThreadPrivate::start (arg=0x2066130) at thread/qthread_unix.cpp:338
#8  0x00007ffa511ee764 in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#9  0x00007ffa5b933e9a in start_thread (arg=0x7ffa2367b700) at pthread_create.c:308
#10 0x00007ffa5f3eecbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7ffa22e7a700 (LWP 3126)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffa5fc4f04b in wait (time=18446744073709551615, this=0x1e6f910) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1859840, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007ffa5cea70e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e79380, th=0x1865d70) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ffa5cea992b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e3d330, th=0x1865d70) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ffa5cea879f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7ffa22e79d00, parent=0x1e79380, th=th@entry=0x1865d70) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ffa5cea882b in ThreadWeaver::Thread::run (this=0x1865d70) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ffa5fc4eaec in QThreadPrivate::start (arg=0x1865d70) at thread/qthread_unix.cpp:338
#8  0x00007ffa511ee764 in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#9  0x00007ffa5b933e9a in start_thread (arg=0x7ffa22e7a700) at pthread_create.c:308
#10 0x00007ffa5f3eecbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7ffa22679700 (LWP 3127)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffa5fc4f04b in wait (time=18446744073709551615, this=0x1e6f910) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1859840, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007ffa5cea70e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e79380, th=0x19874b0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ffa5cea992b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e3d330, th=0x19874b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ffa5cea879f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7ffa22678d00, parent=0x1e79380, th=th@entry=0x19874b0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ffa5cea882b in ThreadWeaver::Thread::run (this=0x19874b0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ffa5fc4eaec in QThreadPrivate::start (arg=0x19874b0) at thread/qthread_unix.cpp:338
#8  0x00007ffa511ee764 in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#9  0x00007ffa5b933e9a in start_thread (arg=0x7ffa22679700) at pthread_create.c:308
#10 0x00007ffa5f3eecbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7ffa21e78700 (LWP 3128)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffa5fc4f04b in wait (time=18446744073709551615, this=0x1e6f910) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1859840, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007ffa5cea70e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e79380, th=0x1e7b120) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ffa5cea992b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e3d330, th=0x1e7b120) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ffa5cea879f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7ffa21e77d00, parent=0x1e79380, th=th@entry=0x1e7b120) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ffa5cea882b in ThreadWeaver::Thread::run (this=0x1e7b120) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ffa5fc4eaec in QThreadPrivate::start (arg=0x1e7b120) at thread/qthread_unix.cpp:338
#8  0x00007ffa511ee764 in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#9  0x00007ffa5b933e9a in start_thread (arg=0x7ffa21e78700) at pthread_create.c:308
#10 0x00007ffa5f3eecbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7ffa2094f700 (LWP 3132)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffa56a8fb2d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007ffa56a8fc39 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007ffa511ee764 in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#4  0x00007ffa5b933e9a in start_thread (arg=0x7ffa2094f700) at pthread_create.c:308
#5  0x00007ffa5f3eecbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7ffa0bfff700 (LWP 3133)):
#0  __pthread_mutex_lock (mutex=0x7ffa04000a90) at pthread_mutex_lock.c:47
#1  0x00007ffa59e7ae21 in g_mutex_lock (mutex=mutex@entry=0x7ffa040009d0) at /build/buildd/glib2.0-2.34.1/./glib/gthread-posix.c:208
#2  0x00007ffa59e3d623 in g_main_context_prepare (context=context@entry=0x7ffa040009d0, priority=priority@entry=0x7ffa0bffeba8) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:2988
#3  0x00007ffa59e3dcab in g_main_context_iterate (context=context@entry=0x7ffa040009d0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3270
#4  0x00007ffa59e3dea4 in g_main_context_iteration (context=0x7ffa040009d0, may_block=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3351
#5  0x00007ffa5fd79c16 in QEventDispatcherGlib::processEvents (this=0x7ffa040008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007ffa5fd4a2bf in QEventLoop::processEvents (this=this@entry=0x7ffa0bffed00, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007ffa5fd4a548 in QEventLoop::exec (this=0x7ffa0bffed00, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007ffa5fc4bb10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007ffa5fc4eaec in QThreadPrivate::start (arg=0x24e1620) at thread/qthread_unix.cpp:338
#10 0x00007ffa511ee764 in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#11 0x00007ffa5b933e9a in start_thread (arg=0x7ffa0bfff700) at pthread_create.c:308
#12 0x00007ffa5f3eecbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7ff9ea7fc700 (LWP 3144)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffa5bf0ccd7 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007ffa5bf0cd09 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007ffa511ee764 in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#4  0x00007ffa5b933e9a in start_thread (arg=0x7ff9ea7fc700) at pthread_create.c:308
#5  0x00007ffa5f3eecbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7ff9eaffd700 (LWP 8055)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:132
#1  0x00007ffa5b93609b in _L_lock_1006 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007ffa5b93601c in __pthread_mutex_lock (mutex=0xa886e0) at pthread_mutex_lock.c:101
#3  0x00007ffa59e7ae21 in g_mutex_lock (mutex=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gthread-posix.c:208
#4  0x00007ffa51d3ae3e in gst_element_post_message (element=element@entry=0x132d000, message=message@entry=0x2a7e0c0) at gstelement.c:1842
#5  0x00007ffa51d26667 in gst_bin_handle_message_func (bin=0x132d000, message=0x2a7e0c0) at gstbin.c:3442
#6  0x00007ffa51d59ff8 in gst_pipeline_handle_message (bin=0x132d000, message=0x2a7e0c0) at gstpipeline.c:587
#7  0x00007ffa38758349 in gst_play_bin_handle_message (bin=0x132d000, msg=0x2a7e0c0) at gstplaybin2.c:2387
#8  0x00007ffa51d23418 in bin_bus_handler (bus=bus@entry=0xe41570, message=message@entry=0x2a7e0c0, bin=bin@entry=0x132d000) at gstbin.c:2793
#9  0x00007ffa51d2cee2 in gst_bus_post (bus=bus@entry=0xe41570, message=message@entry=0x2a7e0c0) at gstbus.c:322
#10 0x00007ffa51d3ae63 in gst_element_post_message (element=element@entry=0x2a75920, message=message@entry=0x2a7e0c0) at gstelement.c:1853
#11 0x00007ffa51d26667 in gst_bin_handle_message_func (bin=0x2a75920, message=0x2a7e0c0) at gstbin.c:3442
#12 0x00007ffa09314b17 in handle_message (bin=0x2a75920, msg=0x2a7e0c0) at gsturidecodebin.c:2210
#13 0x00007ffa51d23418 in bin_bus_handler (bus=bus@entry=0x13540f0, message=message@entry=0x2a7e0c0, bin=bin@entry=0x2a75920) at gstbin.c:2793
#14 0x00007ffa51d2cee2 in gst_bus_post (bus=bus@entry=0x13540f0, message=message@entry=0x2a7e0c0) at gstbus.c:322
#15 0x00007ffa51d3ae63 in gst_element_post_message (element=element@entry=0x2a75b50, message=message@entry=0x2a7e0c0) at gstelement.c:1853
#16 0x00007ffa51d26667 in gst_bin_handle_message_func (bin=0x2a75b50, message=0x2a7e0c0) at gstbin.c:3442
#17 0x00007ffa51d23418 in bin_bus_handler (bus=bus@entry=0xf1aec0, message=message@entry=0x2a7e0c0, bin=bin@entry=0x2a75b50) at gstbin.c:2793
#18 0x00007ffa51d2cee2 in gst_bus_post (bus=bus@entry=0xf1aec0, message=message@entry=0x2a7e0c0) at gstbus.c:322
#19 0x00007ffa51d3ae63 in gst_element_post_message (element=element@entry=0x7ff9dc226400, message=0x2a7e0c0) at gstelement.c:1853
#20 0x00007ffa51d3b83c in _priv_gst_element_state_changed (element=element@entry=0x7ff9dc226400, oldstate=oldstate@entry=GST_STATE_NULL, newstate=newstate@entry=GST_STATE_READY, pending=pending@entry=GST_STATE_VOID_PENDING) at gstelement.c:2372
#21 0x00007ffa51d3c2ef in gst_element_continue_state (element=element@entry=0x7ff9dc226400, ret=ret@entry=GST_STATE_CHANGE_SUCCESS) at gstelement.c:2470
#22 0x00007ffa51d3bdaf in gst_element_change_state (element=element@entry=0x7ff9dc226400, transition=transition@entry=GST_STATE_CHANGE_NULL_TO_READY) at gstelement.c:2798
#23 0x00007ffa51d3c678 in gst_element_set_state_func (element=0x7ff9dc226400, state=GST_STATE_READY) at gstelement.c:2717
#24 0x00007ffa093128af in connect_pad (chain=<optimized out>, factories=0x7ff9dc40c420, caps=0x7ff9dc033940, pad=0x7ff978006330, dpad=0x7ff980011120, src=0x4142000, dbin=<optimized out>) at gstdecodebin2.c:1921
#25 analyze_new_pad (dbin=dbin@entry=0x2a75b50, src=src@entry=0x4142000, pad=pad@entry=0x7ff978006330, caps=caps@entry=0x7ff9dc033940, chain=<optimized out>, chain@entry=0x7ff97000a260) at gstdecodebin2.c:1630
#26 0x00007ffa09313cb5 in pad_added_cb (element=element@entry=0x4142000, pad=pad@entry=0x7ff978006330, chain=chain@entry=0x7ff97000a260) at gstdecodebin2.c:2333
#27 0x00007ffa0931407d in caps_notify_cb (pad=0x7ff978006330, unused=<optimized out>, chain=0x7ff97000a260) at gstdecodebin2.c:2447
#28 0x00007ffa594de140 in g_closure_invoke (closure=0x42f26d0, return_value=0x0, n_param_values=2, param_values=0x7ff9eaffc5b0, invocation_hint=0x7ff9eaffc550) at /build/buildd/glib2.0-2.34.1/./gobject/gclosure.c:777
#29 0x00007ffa594ef550 in signal_emit_unlocked_R (node=node@entry=0xcbf520, detail=detail@entry=1602, instance=instance@entry=0x7ff978006330, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7ff9eaffc5b0) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3551
#30 0x00007ffa594f74af in g_signal_emit_valist (instance=0x7ff978006330, signal_id=<optimized out>, detail=1602, var_args=var_args@entry=0x7ff9eaffc808) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3300
#31 0x00007ffa594f7642 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3356
#32 0x00007ffa594e2af5 in g_object_dispatch_properties_changed (object=0x7ff978006330, n_pspecs=128, pspecs=0x19) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1041
#33 0x00007ffa51d22324 in gst_object_dispatch_properties_changed (object=0x7ff978006330, n_pspecs=1, pspecs=0x7ff9eaffc998) at gstobject.c:530
#34 0x00007ffa594e44f3 in g_object_notify_by_spec_internal (pspec=<optimized out>, object=0x7ff978006330) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1135
#35 g_object_notify_by_pspec (object=object@entry=0x7ff978006330, pspec=<optimized out>) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1236
#36 0x00007ffa51d52404 in gst_pad_set_caps (pad=0x7ff978006330, caps=0x7ff9dc033940) at gstpad.c:2745
#37 0x00007ffa086a520c in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstaudioparsers.so
#38 0x00007ffa51ff4624 in gst_base_parse_handle_and_push_frame (parse=parse@entry=0x4142000, frame=frame@entry=0x7ff9eaffcc30, klass=0x1019b20) at gstbaseparse.c:1687
#39 0x00007ffa51ff71a5 in gst_base_parse_loop (pad=<optimized out>) at gstbaseparse.c:2826
#40 0x00007ffa51d7ce34 in gst_task_func (task=0x7ff9800185a0) at gsttask.c:327
#41 0x00007ffa59e61e62 in g_thread_pool_thread_proxy (data=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gthreadpool.c:309
#42 0x00007ffa59e61645 in g_thread_proxy (data=0x7ff9f0009370) at /build/buildd/glib2.0-2.34.1/./glib/gthread.c:797
#43 0x00007ffa511ee764 in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#44 0x00007ffa5b933e9a in start_thread (arg=0x7ff9eaffd700) at pthread_create.c:308
#45 0x00007ffa5f3eecbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#46 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ff9f934d700 (LWP 8057)):
#0  0x00007ffa5f3e3303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ffa576a9b6f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007ffa5769b0b5 in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007ffa5769b719 in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007ffa5769b7d0 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007ffa576a9b1f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007ffa52d7b543 in ?? () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-2.1.so
#7  0x00007ffa511ee764 in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#8  0x00007ffa5b933e9a in start_thread (arg=0x7ff9f934d700) at pthread_create.c:308
#9  0x00007ffa5f3eecbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffa62a837c0 (LWP 3103)):
[KCrash Handler]
#6  g_value_set_object (value=0x7ffff383f5f0, v_object=0xffffffff) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:3578
#7  0x00007ffa3875d218 in gst_play_bin_get_property (object=0x132d000, prop_id=<optimized out>, value=0x7ffff383f5f0, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00007ffa594e5ace in object_get_property (value=0x7ffff383f5f0, pspec=<optimized out>, object=0x132d000) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1294
#9  g_object_get_valist (object=object@entry=0x132d000, first_property_name=first_property_name@entry=0x7ffa3ad7aac7 "source", var_args=var_args@entry=0x7ffff383f698) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:2019
#10 0x00007ffa594e5f57 in g_object_get (_object=0x132d000, first_property_name=0x7ffa3ad7aac7 "source") at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:2109
#11 0x00007ffa3ad6b435 in Phonon::Gstreamer::Pipeline::cb_setupSource (playbin=<optimized out>, param=<optimized out>, data=0x1132700) at ../../gstreamer/pipeline.cpp:828
#12 0x00007ffa594de140 in g_closure_invoke (closure=0x1127db0, return_value=0x0, n_param_values=2, param_values=0x7ffff383fa50, invocation_hint=0x7ffff383f9f0) at /build/buildd/glib2.0-2.34.1/./gobject/gclosure.c:777
#13 0x00007ffa594ef550 in signal_emit_unlocked_R (node=node@entry=0xcbf520, detail=detail@entry=3674, instance=instance@entry=0x132d000, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7ffff383fa50) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3551
#14 0x00007ffa594f74af in g_signal_emit_valist (instance=0x132d000, signal_id=<optimized out>, detail=3674, var_args=var_args@entry=0x7ffff383fca8) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3300
#15 0x00007ffa594f7642 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3356
#16 0x00007ffa594e2af5 in g_object_dispatch_properties_changed (object=0x132d000, n_pspecs=2, pspecs=0x0) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1041
#17 0x00007ffa51d22324 in gst_object_dispatch_properties_changed (object=0x132d000, n_pspecs=1, pspecs=0x7ffff383fe38) at gstobject.c:530
#18 0x00007ffa594e43db in g_object_notify_by_spec_internal (pspec=0x11266d0, object=0x132d000) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1135
#19 g_object_notify (object=object@entry=0x132d000, property_name=property_name@entry=0x7ffa38780bcb "source") at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1177
#20 0x00007ffa387597af in notify_source_cb (uridecodebin=<optimized out>, pspec=<optimized out>, group=<optimized out>) at gstplaybin2.c:3445
#21 0x00007ffa594de140 in g_closure_invoke (closure=0x7ff9dc3766e0, return_value=0x0, n_param_values=2, param_values=0x7ffff3840050, invocation_hint=0x7ffff383fff0) at /build/buildd/glib2.0-2.34.1/./gobject/gclosure.c:777
#22 0x00007ffa594ef550 in signal_emit_unlocked_R (node=node@entry=0xcbf520, detail=detail@entry=3674, instance=instance@entry=0x2a74110, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7ffff3840050) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3551
#23 0x00007ffa594f74af in g_signal_emit_valist (instance=0x2a74110, signal_id=<optimized out>, detail=3674, var_args=var_args@entry=0x7ffff38402a8) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3300
#24 0x00007ffa594f7642 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.34.1/./gobject/gsignal.c:3356
#25 0x00007ffa594e2af5 in g_object_dispatch_properties_changed (object=0x2a74110, n_pspecs=2, pspecs=0x0) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1041
#26 0x00007ffa51d22324 in gst_object_dispatch_properties_changed (object=0x2a74110, n_pspecs=1, pspecs=0x7ffff3840438) at gstobject.c:530
#27 0x00007ffa594e43db in g_object_notify_by_spec_internal (pspec=0x1330630, object=0x2a74110) at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1135
#28 g_object_notify (object=object@entry=0x2a74110, property_name=property_name@entry=0x7ffa0931ca09 "source") at /build/buildd/glib2.0-2.34.1/./gobject/gobject.c:1177
#29 0x00007ffa09318763 in setup_source (decoder=0x2a74110) at gsturidecodebin.c:2015
#30 gst_uri_decode_bin_change_state (element=0x2a74110, transition=<optimized out>) at gsturidecodebin.c:2493
#31 0x00007ffa51d3bd2c in gst_element_change_state (element=element@entry=0x2a74110, transition=transition@entry=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2761
#32 0x00007ffa51d3c678 in gst_element_set_state_func (element=0x2a74110, state=GST_STATE_PAUSED) at gstelement.c:2717
#33 0x00007ffa51d29857 in gst_bin_element_set_state (next=GST_STATE_PAUSED, current=GST_STATE_READY, start_time=0, base_time=0, element=0x2a74110, bin=0x132d000) at gstbin.c:2209
#34 gst_bin_change_state_func (element=0x132d000, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstbin.c:2518
#35 0x00007ffa51d5a595 in gst_pipeline_change_state (element=0x132d000, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstpipeline.c:482
#36 0x00007ffa3875b7a1 in gst_play_bin_change_state (element=0x132d000, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstplaybin2.c:3936
#37 0x00007ffa51d3bd2c in gst_element_change_state (element=element@entry=0x132d000, transition=transition@entry=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2761
#38 0x00007ffa51d3c678 in gst_element_set_state_func (element=0x132d000, state=GST_STATE_PLAYING) at gstelement.c:2717
#39 0x00007ffa3ad6ad76 in Phonon::Gstreamer::Pipeline::setState (this=0x1132700, state=GST_STATE_PLAYING) at ../../gstreamer/pipeline.cpp:242
#40 0x00007ffa3ad634e2 in Phonon::Gstreamer::MediaObject::requestState (this=this@entry=0xa88fc0, state=state@entry=Phonon::PlayingState) at ../../gstreamer/mediaobject.cpp:839
#41 0x00007ffa3ad637b4 in Phonon::Gstreamer::MediaObject::play (this=0xa88fc0) at ../../gstreamer/mediaobject.cpp:239
#42 0x00007ffa61a9e2b7 in EngineController::playUrl (this=this@entry=0xc47f80, url=..., offset=offset@entry=0) at ../../src/EngineController.cpp:505
#43 0x00007ffa61a9fc25 in EngineController::play (this=0xc47f80, track=..., offset=0) at ../../src/EngineController.cpp:395
#44 0x00007ffa617569b9 in Playlist::Actions::play (this=this@entry=0x14873e0, trackid=<optimized out>, now=now@entry=true) at ../../src/playlist/PlaylistActions.cpp:224
#45 0x00007ffa61758975 in Playlist::Actions::play (this=0x14873e0) at ../../src/playlist/PlaylistActions.cpp:191
#46 0x00007ffa61a9fea5 in EngineController::play (this=0xc47f80) at ../../src/EngineController.cpp:350
#47 0x00007ffa61aa00a5 in EngineController::playPause (this=0xc47f80) at ../../src/EngineController.cpp:608
#48 0x00007ffa61aa5843 in EngineController::qt_static_metacall (_o=0xc47f80, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at ./EngineController.moc:176
#49 0x00007ffa5fd60f5f in QMetaObject::activate (sender=0x1e1fab0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7ffff3841210) at kernel/qobject.cpp:3547
#50 0x00007ffa60726a32 in QAction::triggered (this=this@entry=0x1e1fab0, _t1=true) at .moc/release-shared/moc_qaction.cpp:277
#51 0x00007ffa60726c20 in QAction::activate (this=0x1e1fab0, event=<optimized out>) at kernel/qaction.cpp:1257
#52 0x00007ffa624df221 in trigger (this=0x1e1fab0) at /usr/include/qt4/QtGui/qaction.h:218
#53 KGlobalAccelPrivate::_k_invokeAction (this=0x1e25960, componentUnique=..., actionUnique=..., timestamp=2759480) at ../../kdeui/shortcuts/kglobalaccel.cpp:449
#54 0x00007ffa5fd60f5f in QMetaObject::activate (sender=0x1e92a40, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7ffff3841420) at kernel/qobject.cpp:3547
#55 0x00007ffa625de389 in OrgKdeKglobalaccelComponentInterface::globalShortcutPressed (this=<optimized out>, _t1=..., _t2=..., _t3=2759480) at kglobalaccel_component_interface.moc:164
#56 0x00007ffa625de7f4 in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at kglobalaccel_component_interface.moc:75
#57 OrgKdeKglobalaccelComponentInterface::qt_static_metacall (_o=0x1e92a40, _c=<optimized out>, _id=<optimized out>, _a=0x7ffff3841770) at kglobalaccel_component_interface.moc:69
#58 0x00007ffa625dee5f in OrgKdeKglobalaccelComponentInterface::qt_metacall (this=0x1e92a40, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7ffff3841770) at kglobalaccel_component_interface.moc:130
#59 0x00007ffa5db59ed3 in QDBusConnectionPrivate::deliverCall (this=0xc477c0, object=0x1e92a40, msg=..., metaTypes=..., slotIdx=5) at qdbusintegrator.cpp:947
#60 0x00007ffa5fd6043e in QObject::event (this=0x1e92a40, e=<optimized out>) at kernel/qobject.cpp:1195
#61 0x00007ffa6072ce9c in QApplicationPrivate::notify_helper (this=this@entry=0xc61840, receiver=receiver@entry=0x1e92a40, e=e@entry=0x2502c00) at kernel/qapplication.cpp:4562
#62 0x00007ffa6073130a in QApplication::notify (this=0x7ffff3844430, receiver=0x1e92a40, e=0x2502c00) at kernel/qapplication.cpp:4423
#63 0x00007ffa6249b1d6 in KApplication::notify (this=0x7ffff3844430, receiver=0x1e92a40, event=0x2502c00) at ../../kdeui/kernel/kapplication.cpp:311
#64 0x00007ffa5fd4b56e in QCoreApplication::notifyInternal (this=0x7ffff3844430, receiver=receiver@entry=0x1e92a40, event=event@entry=0x2502c00) at kernel/qcoreapplication.cpp:915
#65 0x00007ffa5fd4f3f1 in sendEvent (event=0x2502c00, receiver=0x1e92a40) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#66 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xa691f0) at kernel/qcoreapplication.cpp:1539
#67 0x00007ffa5fd79a63 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#68 postEventSourceDispatch (s=s@entry=0xc60d60) at kernel/qeventdispatcher_glib.cpp:279
#69 0x00007ffa59e3dab5 in g_main_dispatch (context=0xc601a0) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:2715
#70 g_main_context_dispatch (context=context@entry=0xc601a0) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3219
#71 0x00007ffa59e3dde8 in g_main_context_iterate (context=context@entry=0xc601a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3290
#72 0x00007ffa59e3dea4 in g_main_context_iteration (context=0xc601a0, may_block=1) at /build/buildd/glib2.0-2.34.1/./glib/gmain.c:3351
#73 0x00007ffa5fd79bf6 in QEventDispatcherGlib::processEvents (this=0xa6aad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#74 0x00007ffa607d1c1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#75 0x00007ffa5fd4a2bf in QEventLoop::processEvents (this=this@entry=0x7ffff38420f0, flags=...) at kernel/qeventloop.cpp:149
#76 0x00007ffa5fd4a548 in QEventLoop::exec (this=0x7ffff38420f0, flags=...) at kernel/qeventloop.cpp:204
#77 0x00007ffa5fd4f708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#78 0x0000000000408dea in main (argc=1, argv=0x7ffff3844598) at ../../src/main.cpp:306

Possible duplicates by query: bug 314485, bug 313338, bug 311632, bug 310895, bug 310292.

Report to https://bugs.kde.org/
Comment 79 Myriam Schweingruber 2013-02-27 19:44:47 UTC
*** Bug 315869 has been marked as a duplicate of this bug. ***
Comment 80 Myriam Schweingruber 2013-03-13 11:17:39 UTC
*** Bug 316660 has been marked as a duplicate of this bug. ***
Comment 81 Myriam Schweingruber 2013-03-20 13:35:41 UTC
*** Bug 317076 has been marked as a duplicate of this bug. ***
Comment 82 Stephan Diestelhorst 2013-03-20 13:35:54 UTC
Created attachment 78238 [details]
Amarok Debug Log

Phonon GStreamer 4.6.2
Gstreamer 0.10.36-1
Amarok 2.7.0
Kubuntu 12.04 (with KDE 4.10 backports)
Comment 83 Stephan Diestelhorst 2013-03-20 13:38:20 UTC
Created attachment 78239 [details]
Crash log

Amarok 2.7.0
KDE 4.10 on Kubuntu 12.04 + backports
Gstreamer 0.10.36-1
Phonon 4.6.2
Comment 84 Stephan Diestelhorst 2013-03-20 13:43:37 UTC
Is it still worth digging through this?  If this is reported upstream, please link to the appropriate report.  Also it seems that upstream GStreamer has decided to abandon 0.10, and KDE seems to favour phonon-vlc, right?  That had some issues, hence I switched back to phonon-gstreamer.
Comment 85 Myriam Schweingruber 2013-03-20 14:18:02 UTC
Please, everybody, have a look at comments #71 and 72, we need information with the latest bugfix release
Comment 86 Myriam Schweingruber 2013-03-20 18:56:34 UTC
*** Bug 317098 has been marked as a duplicate of this bug. ***
Comment 87 Myriam Schweingruber 2013-03-21 23:47:26 UTC
*** Bug 317157 has been marked as a duplicate of this bug. ***
Comment 88 Myriam Schweingruber 2013-03-26 11:55:52 UTC
*** Bug 317377 has been marked as a duplicate of this bug. ***
Comment 89 Myriam Schweingruber 2013-03-31 13:34:27 UTC
*** Bug 317624 has been marked as a duplicate of this bug. ***
Comment 90 Myriam Schweingruber 2013-04-06 21:09:13 UTC
*** Bug 317935 has been marked as a duplicate of this bug. ***
Comment 91 Rohan Garg 2013-04-07 06:59:19 UTC
@Stephan Diestelhorst I am working on a GStreamer 1.0 port that can be found in the 1.0-for-merge branch.
Comment 92 Myriam Schweingruber 2013-04-10 22:06:00 UTC
*** Bug 318161 has been marked as a duplicate of this bug. ***
Comment 93 Myriam Schweingruber 2013-04-11 10:18:41 UTC
Setting status to confirmed, there really is enough information available for the developers
Comment 94 Myriam Schweingruber 2013-04-13 11:23:36 UTC
*** Bug 314800 has been marked as a duplicate of this bug. ***
Comment 95 Myriam Schweingruber 2013-04-30 08:00:19 UTC
*** Bug 319093 has been marked as a duplicate of this bug. ***
Comment 96 Myriam Schweingruber 2013-05-10 23:39:26 UTC
*** Bug 319636 has been marked as a duplicate of this bug. ***
Comment 97 Rohan Garg 2013-05-11 14:30:27 UTC
Created attachment 79824 [details]
Proposed patch

Would someone be willing to try out this attached patch to check if it fixes the issue? You will need GStreamer 0.10.36 to check if the fix works.
Comment 98 Myriam Schweingruber 2013-06-16 08:53:25 UTC
*** Bug 321210 has been marked as a duplicate of this bug. ***
Comment 99 Rohan Garg 2013-06-17 19:05:17 UTC
Hi
Could someone try out 868a0b71bc9fd79c3d00c66e830627a5f5dfd38c from master and check if it fixes the issue for them?
Comment 100 Rohan Garg 2013-06-17 19:10:55 UTC
Something about forgetting to change the status ....
Comment 101 Myriam Schweingruber 2013-07-15 07:23:03 UTC
*** Bug 322374 has been marked as a duplicate of this bug. ***
Comment 102 Myriam Schweingruber 2013-07-25 10:12:22 UTC
*** Bug 322805 has been marked as a duplicate of this bug. ***
Comment 103 Marcos Dione 2013-09-10 20:18:05 UTC
I have a small working demo of this bug, so you can paw at it more easily. I'll attach a pyqt script that depends on python, python-qt4 and python-dbus. this script receives a list of files to reproduce back to back. it also has a dbus interface so you can play with it. the way to reproduce is the following:

* provide 4 files to reproduce. files number 1, 3 and 4 have must have filenames valid in your local encoding (normally utf8). file number 2 must have a broken filename. like this:

/usr/bin/python2.7 phonon.py \
  /home/mdione/media/music/Van\ Halen/3/01-Neworld.ogg \ 
  /home/mdione/media/music/new/House\ MD\ Soundtrack/Du�rmete,\ Mi\ Ni�o\ -\ Christine\ Avila.mp3 \
  /home/mdione/media/music/Van\ Halen/3/02-Without\ you.ogg \
  /home/mdione/media/music/Van\ Halen/3/03-One\ I\ want.ogg

* let the first file finish.
* when file number 2 is not reproduced, use the dbus interface to advance and play:

qdbus org.kde.phonon_test /main next
qdbus org.kde.phonon_test /main play

* file number 3 is not reproduced, so next and play again
* BAM!

here's the output of such a run nuder gdb (backtrace attached):

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
playing >'/home/mdione/media/music/Van Halen/3/01-Neworld.ogg'<
play!
[New Thread 0x7fffe1a44700 (LWP 15087)]
Player.stateChanged(): 0-> 1
[New Thread 0x7fffe1243700 (LWP 15088)]
[New Thread 0x7fffe0835700 (LWP 15089)]
[New Thread 0x7fffd3fff700 (LWP 15090)]
[New Thread 0x7fffd37fe700 (LWP 15091)]
[New Thread 0x7fffd2ffd700 (LWP 15092)]
Player.stateChanged(): 1-> 4
[New Thread 0x7fffd27fc700 (LWP 15093)]
Player.stateChanged(): 4-> 2
[Thread 0x7fffd27fc700 (LWP 15093) exited]
next! >"/home/mdione/media/music/new/House MD Soundtrack/Du\xe9rmete, Mi Ni\xf1o - Christine Avila.mp3"<
[Thread 0x7fffd2ffd700 (LWP 15092) exited]
Player.stateChanged(): 2-> 4
Player.stateChanged(): 4-> 1
[Thread 0x7fffd37fe700 (LWP 15091) exited]
[Thread 0x7fffd3fff700 (LWP 15090) exited]
[Thread 0x7fffe1243700 (LWP 15088) exited]
[Thread 0x7fffe1a44700 (LWP 15087) exited]
[Thread 0x7fffe0835700 (LWP 15089) exited]
next! >'/home/mdione/media/music/Van Halen/3/02-Without you.ogg'<
Player.stateChanged(): 0-> 1
play!
[New Thread 0x7fffe0835700 (LWP 15221)]
[New Thread 0x7fffe1a44700 (LWP 15222)]
[Thread 0x7fffe0835700 (LWP 15221) exited]
next! >'/home/mdione/media/music/Van Halen/3/03-One I want.ogg'<
Player.stateChanged(): 0-> 1
play!

(python2.7:15081): GLib-GObject-CRITICAL **: g_object_get: assertion `G_IS_OBJECT (object)' failed

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff3c9d282 in g_value_set_object (value=0x7fffffffb8a0, v_object=0x7fffd4006850) at /tmp/buildd/glib2.0-2.36.4/./gobject/gobject.c:3579
3579    /tmp/buildd/glib2.0-2.36.4/./gobject/gobject.c: No such file or directory.

Notice how file number 2's filename is actually encoded in latin1, not in utf8. I hope this helps advancing with this bug.

On the other hand, I will try to compile and try 868a0b71bc9fd79c3d00c66e830627a5f5dfd38c as requested, but I can't guarantee that that will happen. :(
Comment 104 Marcos Dione 2013-09-10 20:21:44 UTC
Created attachment 82262 [details]
python script that reproduces the bug

This script requieres python, python-qt4 and python-dbus.
Comment 105 Marcos Dione 2013-09-10 20:23:12 UTC
Created attachment 82263 [details]
backtrace generated by the previous python script
Comment 106 Harald Sitter 2013-09-11 07:50:16 UTC
(In reply to comment #103)
> Notice how file number 2's filename is actually encoded in latin1, not in
> utf8. I hope this helps advancing with this bug.

Perhaps even more interesting is that it is also not correctly decoded on bugzilla. I guess that was supposed to be "Duérmete,\ Mi\ Niño\ -\ Christine\ Avila"? In which case I would ask you to actually check your system encoding because those two characters most certainly shouldn't go bad when posting something to bugzilla :S
Comment 107 Harald Sitter 2013-09-11 08:00:09 UTC
Python's constructing garbage as it turns out

next! >'/home/mdione/media/music/new/House MD Soundtrack/Du\xc3\xa9rmete, Mi Ni\xc3\xb1o - Christine Avila.mp3'<
PHONON-GST   BEGIN: virtual void Phonon::Gstreamer::MediaObject::setNextSource(const Phonon::MediaSource&) 
PHONON-GST     Got next source. Waiting for end of current. 
PHONON-GST     New source:  QUrl( "/home/mdione/media/music/new/House MD Soundtrack/Duérmete, Mi Niño - Christine Avila.mp3" )  
PHONON-GST     uri "file:///home/mdione/media/music/new/House%20MD%20Soundtrack/Du%C3%83%C2%A9rmete,%20Mi%20Ni%C3%83%C2%B1o%20-%20Christine%20Avila.mp3" 
PHONON-GST   Finally got a source 
PHONON-GST   END__: virtual void Phonon::Gstreamer::MediaObject::setNextSource(const Phonon::MediaSource&) [Took: 0s] 
PHONON-GST END__: void Phonon::Gstreamer::MediaObject::handleAboutToFinish() [Took: 0s]
Comment 108 Harald Sitter 2013-09-11 08:55:33 UTC
Note: LANG needs to be a valid !C in order for the python example to reliably fail.

PHONON-GST END__: static void Phonon::Gstreamer::Pipeline::cb_setupSource(GstElement *, GParamSpec *, gpointer) [Took: 0s] 
PHONON-GST 1 
PHONON-GST BEGIN: void Phonon::Gstreamer::MediaObject::setError(const QString &, Phonon::ErrorType) 
PHONON-GST   "Resource not found." 
PHONON-GST   isFatal true 
PHONON-GST   1 

So, Phonon goes into fatal error state, python program ignores that, keeps feeding stuff, Phonon explodes (somewhat within parameters I'd say). Arguably crashing is not the nicest of things, so perhaps in the long run MediaObject should either learn to autorecover from fatal errors or refuse to do anything after having run into a fatal error.

Of course this does not explain in the least bit why Amarok would crash this way too. Amarok completely reinitalizes all phonon objects upon error, so this particular call chain of getting-bad-source-and-keep-hammering-after-fatal-error ought to be impossible in case of Amarok.

All we know is that g_object_get(that->m_pipeline, "source", &phononSrc, NULL); causes the crash. Why it does that we do not know. Crashing in that function to begin with is fun though. Crashing through a failed assert G_IS_OBJECT() is even more fun as that suggets "source" is not a gobject, and the best thing about it all is that we do not even manually set "source" but as I understand it playbin2 itself creates/inits/sets "source" based on the uri we set...

Gigantic mess, no end in sight.
Comment 109 Myriam Schweingruber 2013-09-25 21:50:13 UTC
*** Bug 325308 has been marked as a duplicate of this bug. ***
Comment 110 Myriam Schweingruber 2013-09-26 10:19:32 UTC
*** Bug 325322 has been marked as a duplicate of this bug. ***
Comment 111 Myriam Schweingruber 2013-10-13 23:44:31 UTC
*** Bug 325982 has been marked as a duplicate of this bug. ***
Comment 112 Myriam Schweingruber 2013-10-16 23:14:05 UTC
*** Bug 326116 has been marked as a duplicate of this bug. ***
Comment 113 Myriam Schweingruber 2013-11-17 00:42:46 UTC
*** Bug 327702 has been marked as a duplicate of this bug. ***
Comment 114 Myriam Schweingruber 2013-11-20 20:26:42 UTC
*** Bug 327867 has been marked as a duplicate of this bug. ***
Comment 115 Myriam Schweingruber 2013-11-24 19:39:43 UTC
*** Bug 327981 has been marked as a duplicate of this bug. ***
Comment 116 Myriam Schweingruber 2013-11-27 06:43:27 UTC
*** Bug 328128 has been marked as a duplicate of this bug. ***
Comment 117 Daniel Albers 2013-11-27 16:02:08 UTC
Amarok started to crash like that here too, recently. It now happens very regularly.
The error message is: GStreamer-CRITICAL **: gst_value_init_and_copy: assertion 'G_IS_VALUE (src)' failed

Application: amarok (2.8.0)
KDE Platform Version: 4.11.3 (Compiled from sources)
Qt Version: 4.8.5
Operating System: Linux 3.12.1-1-ARCH x86_64
Distribution (Platform): Archlinux Packages

-- Information about the crash:
<In detail, tell us what you were doing  when the application crashed.>

The crash can be reproduced sometimes.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f293f6e37c0 (LWP 30389))]

Thread 22 (Thread 0x7f290abc9700 (LWP 30394)):
#0  0x00007f293a67d3e8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f29115f5166 in my_service_thread_sleep () from /usr/lib/libmysqld.so.18
#2  0x00007f29115ecbd9 in ma_checkpoint_background () from /usr/lib/libmysqld.so.18
#3  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#4  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 21 (Thread 0x7f2908c2b700 (LWP 30395)):
#0  0x00007f293a67d3e8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f293cb83244 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f293e83055e in AbstractDirectoryWatcher::run() () from /usr/lib/libamaroklib.so.1
#3  0x00007f293976ca52 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f293976cc0e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#5  0x00007f293976c45b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#6  0x00007f293cb82d8f in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 20 (Thread 0x7f28f7fff700 (LWP 30396)):
#0  0x00007fff12ffe70c in ?? ()
#1  0x00007f28f7ffeb40 in ?? ()
#2  0x00007fff12ffeaa9 in ?? ()
#3  0x00007f28f7ffeb70 in ?? ()
#4  0x000000013cb78ce4 in ?? ()
#5  0x00007f28f0001e60 in ?? ()
#6  0x00007f28f7ffec28 in ?? ()
#7  0x00007f28f7ffebc0 in ?? ()
#8  0x000000007fffffff in ?? ()
#9  0x00007f28f7ffec30 in ?? ()
#10 0x00007f293c54b0ed in clock_gettime () from /usr/lib/libc.so.6
#11 0x00007f293cbd7507 in ?? () from /usr/lib/libQtCore.so.4
#12 0x00007f293ccb11a5 in ?? () from /usr/lib/libQtCore.so.4
#13 0x00007f293ccaf97c in ?? () from /usr/lib/libQtCore.so.4
#14 0x00007f293ccafa25 in ?? () from /usr/lib/libQtCore.so.4
#15 0x00007f2935a34c2d in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#16 0x00007f2935a354a3 in ?? () from /usr/lib/libglib-2.0.so.0
#17 0x00007f2935a3568c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#18 0x00007f293ccafb46 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#19 0x00007f293cc81b1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#20 0x00007f293cc81e15 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#21 0x00007f293cb806ef in QThread::exec() () from /usr/lib/libQtCore.so.4
#22 0x00007f293cc632c3 in ?? () from /usr/lib/libQtCore.so.4
#23 0x00007f293cb82d8f in ?? () from /usr/lib/libQtCore.so.4
#24 0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#25 0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 19 (Thread 0x7f28f61d8700 (LWP 30400)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f293cb83266 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f293976ac0c in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f293976d6a3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f293976d6bc in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f293976d6bc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f293976d6bc in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007f293976c3bf in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#8  0x00007f293cb82d8f in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 18 (Thread 0x7f28f59d7700 (LWP 30401)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f293cb83266 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f293976ac0c in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f293976d6a3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f293976c3bf in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#5  0x00007f293cb82d8f in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 17 (Thread 0x7f28f51d6700 (LWP 30402)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f293cb83266 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f293976ac0c in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f293976d6a3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f293976c3bf in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#5  0x00007f293cb82d8f in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 16 (Thread 0x7f28f49d5700 (LWP 30403)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f293cb83266 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f293976ac0c in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f293976d6a3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f293976d6bc in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f293976d6bc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f293976d6bc in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007f293976d6bc in ?? () from /usr/lib/libthreadweaver.so.4
#8  0x00007f293976c3bf in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#9  0x00007f293cb82d8f in ?? () from /usr/lib/libQtCore.so.4
#10 0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#11 0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 15 (Thread 0x7f28dffff700 (LWP 30404)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f293cb83266 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f293976ac0c in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f293976d6a3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f293976c3bf in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#5  0x00007f293cb82d8f in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 14 (Thread 0x7f28df7fe700 (LWP 30405)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f293cb83266 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f293976ac0c in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f293976d6a3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f293976c3bf in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#5  0x00007f293cb82d8f in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 13 (Thread 0x7f28deffd700 (LWP 30406)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f293cb83266 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f293976ac0c in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f293976d6a3 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f293976c3bf in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#5  0x00007f293cb82d8f in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 12 (Thread 0x7f28dd4d0700 (LWP 30408)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2938788fcb in ?? () from /usr/lib/libQtScript.so.4
#2  0x00007f2938789009 in ?? () from /usr/lib/libQtScript.so.4
#3  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#4  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 11 (Thread 0x7f283e3f9700 (LWP 30456)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2935a754e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f290f65b535 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f2928efb134 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f2935a5a976 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2935a59fb5 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 10 (Thread 0x7f283ebfa700 (LWP 30482)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2935a754e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f290f65b535 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f2928efb134 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f2935a5a976 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2935a59fb5 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 9 (Thread 0x7f283f825700 (LWP 30483)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2935a754e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2928efb303 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#3  0x00007f2935a5a976 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2935a59fb5 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#6  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 8 (Thread 0x7f2827fff700 (LWP 30484)):
#0  0x00007f293a67f79c in __lll_lock_wait () from /usr/lib/libpthread.so.0
#1  0x00007f293a67b49d in _L_lock_679 () from /usr/lib/libpthread.so.0
#2  0x00007f293a67b417 in pthread_mutex_lock () from /usr/lib/libpthread.so.0
#3  0x00007f2935a75271 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2928ea23e1 in gst_object_get_parent () from /usr/lib/libgstreamer-0.10.so.0
#5  0x00007f2928ea2463 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#6  0x00007f29350c4fdb in g_object_notify () from /usr/lib/libgobject-2.0.so.0
#7  0x00007f290f651b76 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#8  0x00007f2928ed6636 in gst_pad_send_event () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007f2928ed6c6a in gst_pad_push_event () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007f2928ec1483 in gst_proxy_pad_event_default () from /usr/lib/libgstreamer-0.10.so.0
#11 0x00007f2928ed6636 in gst_pad_send_event () from /usr/lib/libgstreamer-0.10.so.0
#12 0x00007f2928ed6c6a in gst_pad_push_event () from /usr/lib/libgstreamer-0.10.so.0
#13 0x00007f2928ec1483 in gst_proxy_pad_event_default () from /usr/lib/libgstreamer-0.10.so.0
#14 0x00007f2928ed6636 in gst_pad_send_event () from /usr/lib/libgstreamer-0.10.so.0
#15 0x00007f2928ed6c6a in gst_pad_push_event () from /usr/lib/libgstreamer-0.10.so.0
#16 0x00007f2928ed7669 in gst_pad_event_default () from /usr/lib/libgstreamer-0.10.so.0
#17 0x00007f283ee20fe0 in ?? () from /usr/lib/gstreamer-0.10/libgstmad.so
#18 0x00007f2928ed6636 in gst_pad_send_event () from /usr/lib/libgstreamer-0.10.so.0
#19 0x00007f2928ed6c6a in gst_pad_push_event () from /usr/lib/libgstreamer-0.10.so.0
#20 0x00007f2928f046b7 in gst_element_found_tags_for_pad () from /usr/lib/libgstreamer-0.10.so.0
#21 0x00007f283fa37fc2 in ?? () from /usr/lib/gstreamer-0.10/libgstaudioparsers.so
#22 0x00007f2929176568 in gst_base_parse_push_frame () from /usr/lib/libgstbase-0.10.so.0
#23 0x00007f29291774be in ?? () from /usr/lib/libgstbase-0.10.so.0
#24 0x00007f2929179e63 in ?? () from /usr/lib/libgstbase-0.10.so.0
#25 0x00007f2928efb134 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#26 0x00007f2935a5a976 in ?? () from /usr/lib/libglib-2.0.so.0
#27 0x00007f2935a59fb5 in ?? () from /usr/lib/libglib-2.0.so.0
#28 0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#29 0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 7 (Thread 0x7f28277fe700 (LWP 30485)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2935a754e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f290f65b535 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f2928efb134 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f2935a5a976 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2935a59fb5 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 6 (Thread 0x7f283dbf8700 (LWP 30486)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2935a754e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f290f65b535 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f2928efb134 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f2935a5a976 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2935a59fb5 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 5 (Thread 0x7f283d3f7700 (LWP 30487)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2935a754e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f290f65b535 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f2928efb134 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f2935a5a976 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2935a59fb5 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 4 (Thread 0x7f283cbf6700 (LWP 30488)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2935a754e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f290f65b535 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f2928efb134 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f2935a5a976 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2935a59fb5 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 3 (Thread 0x7f2826ffd700 (LWP 30913)):
#0  0x00007f293a67d03f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007f2935a754e7 in g_cond_wait () from /usr/lib/libglib-2.0.so.0
#2  0x00007f290f65b535 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#3  0x00007f2928efb134 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f2935a5a976 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2935a59fb5 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#7  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 2 (Thread 0x7f29196ce700 (LWP 317)):
#0  0x00007f293c5359dd in poll () from /usr/lib/libc.so.6
#1  0x00007f293249bc91 in ?? () from /usr/lib/libpulse.so.0
#2  0x00007f293248d4bc in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#3  0x00007f293248db2e in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#4  0x00007f293248dbe0 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#5  0x00007f293249bc43 in ?? () from /usr/lib/libpulse.so.0
#6  0x00007f2929eb54a8 in ?? () from /usr/lib/pulseaudio/libpulsecommon-4.0.so
#7  0x00007f293a6790a2 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007f293c53e49d in clone () from /usr/lib/libc.so.6

Thread 1 (Thread 0x7f293f6e37c0 (LWP 30389)):
[KCrash Handler]
#5  0x00007f29350e0d4c in g_type_check_value () from /usr/lib/libgobject-2.0.so.0
#6  0x00007f2928f08cc4 in gst_value_init_and_copy () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007f2928f08d6f in ?? () from /usr/lib/libgstreamer-0.10.so.0
#8  0x00007f2928f08e60 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007f2928eef6f2 in gst_structure_copy () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007f29350bc913 in g_boxed_copy () from /usr/lib/libgobject-2.0.so.0
#11 0x00007f29350bcc4a in g_value_set_boxed () from /usr/lib/libgobject-2.0.so.0
#12 0x00007f290f64f770 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#13 0x00007f29350c6315 in g_object_get_valist () from /usr/lib/libgobject-2.0.so.0
#14 0x00007f29350c67a7 in g_object_get () from /usr/lib/libgobject-2.0.so.0
#15 0x00007f290eff047f in ?? () from /usr/lib/gstreamer-0.10/libgstplaybin.so
#16 0x00007f290eff0550 in ?? () from /usr/lib/gstreamer-0.10/libgstplaybin.so
#17 0x00007f290f00f2d8 in ?? () from /usr/lib/gstreamer-0.10/libgstplaybin.so
#18 0x00007f29350be6a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#19 0x00007f29350cfdfb in ?? () from /usr/lib/libgobject-2.0.so.0
#20 0x00007f29350d7a19 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#21 0x00007f29350d8532 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#22 0x00007f291db4ff2e in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#23 0x00007f291db52f5b in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#24 0x00007f293cc9aefe in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#25 0x00007f293d68312c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#26 0x00007f293d6896f0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#27 0x00007f293f22e83a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#28 0x00007f293cc82ebd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#29 0x00007f293cc85f0f in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#30 0x00007f293ccb0263 in ?? () from /usr/lib/libQtCore.so.4
#31 0x00007f2935a35296 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#32 0x00007f2935a355e8 in ?? () from /usr/lib/libglib-2.0.so.0
#33 0x00007f2935a3568c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#34 0x00007f293ccafb46 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#35 0x00007f293d720266 in ?? () from /usr/lib/libQtGui.so.4
#36 0x00007f293cc81b1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#37 0x00007f293cc81e15 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#38 0x00007f293cc86f4b in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#39 0x00000000004083a3 in ?? ()
#40 0x00007f293c47abc5 in __libc_start_main () from /usr/lib/libc.so.6
#41 0x00000000004084c5 in _start ()
Comment 118 Myriam Schweingruber 2013-11-29 13:33:32 UTC
*** Bug 328186 has been marked as a duplicate of this bug. ***
Comment 119 Zhenbo Li 2013-12-24 07:30:22 UTC
I tested it in F20.
It happened once, but I don't know how to reproduce it.
Comment 120 Myriam Schweingruber 2014-01-04 17:31:42 UTC
*** Bug 329603 has been marked as a duplicate of this bug. ***
Comment 121 Myriam Schweingruber 2014-01-09 11:42:22 UTC
*** Bug 329745 has been marked as a duplicate of this bug. ***
Comment 122 Myriam Schweingruber 2014-01-26 11:52:36 UTC
*** Bug 330404 has been marked as a duplicate of this bug. ***
Comment 123 Myriam Schweingruber 2014-01-26 11:53:29 UTC
*** Bug 330417 has been marked as a duplicate of this bug. ***
Comment 124 Myriam Schweingruber 2014-02-07 09:34:01 UTC
*** Bug 330869 has been marked as a duplicate of this bug. ***
Comment 125 John Rockefeller 2014-02-27 16:30:20 UTC
Created attachment 85345 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.11.3 using Qt 4.8.4

- What I was doing when the application crashed:

Playing a song after having Amarok paused overnight.

-- Backtrace (Reduced):
#6  0x00007fdd0afb0de2 in g_value_set_object (value=0x7fffb5302260, v_object=0x7fdbe84fed80) at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:3752
#7  0x00007fdcec8f4228 in gst_play_bin_get_property (object=0x11d1260, prop_id=<optimized out>, value=0x7fffb5302260, pspec=<optimized out>) at gstplaybin2.c:2018
#8  0x00007fdd0afaedf5 in object_get_property (value=0x7fffb5302260, pspec=<optimized out>, object=0x11d1260) at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:1303
#9  g_object_get_valist (object=object@entry=0x11d1260, first_property_name=first_property_name@entry=0x7fdcf6f153de "source", var_args=var_args@entry=0x7fffb5302308) at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:2193
#10 0x00007fdd0afaf287 in g_object_get (_object=0x11d1260, first_property_name=0x7fdcf6f153de "source") at /build/buildd/glib2.0-2.38.1/./gobject/gobject.c:2283
Comment 126 Myriam Schweingruber 2014-03-09 20:48:28 UTC
*** Bug 331913 has been marked as a duplicate of this bug. ***
Comment 127 Myriam Schweingruber 2014-03-13 23:05:57 UTC
*** Bug 332111 has been marked as a duplicate of this bug. ***
Comment 128 Jekyll Wu 2014-04-08 00:50:10 UTC
*** Bug 333160 has been marked as a duplicate of this bug. ***
Comment 129 Myriam Schweingruber 2014-04-14 20:42:59 UTC
*** Bug 333414 has been marked as a duplicate of this bug. ***
Comment 130 Myriam Schweingruber 2014-05-12 08:33:31 UTC
*** Bug 334635 has been marked as a duplicate of this bug. ***
Comment 131 Myriam Schweingruber 2014-06-03 14:58:30 UTC
Changing status, the requested information has been given quite some time ago...
Comment 132 Myriam Schweingruber 2014-06-03 14:59:10 UTC
*** Bug 335747 has been marked as a duplicate of this bug. ***
Comment 133 Myriam Schweingruber 2014-08-10 09:26:03 UTC
Could you please all test with the phonon-backend-gstreamer 4.7.2 and make sure you use the gstreamer 1.x libraries and plugins?
If this is still reproducible, please provide a current backtrace.
Comment 134 Christoph Feck 2014-08-10 09:59:59 UTC
Myriam, are you sure phonon-backend-gstreamer has already been ported to gstreamer 1.x?
Comment 135 Myriam Schweingruber 2014-08-10 10:19:56 UTC
(In reply to Christoph Feck from comment #134)
> Myriam, are you sure phonon-backend-gstreamer has already been ported to
> gstreamer 1.x?

Definitely, it is in a development branch, and it is patched in the latest Kubuntu release.
Comment 136 Myriam Schweingruber 2014-08-10 11:03:43 UTC
*** Bug 321216 has been marked as a duplicate of this bug. ***
Comment 137 khrysRo 2014-08-10 17:02:30 UTC
sorry, but I reinstall my system, 
I don't have the same problem 



> El 10-08-2014, a las 5:26, Myriam Schweingruber <myriam@kde.org> escribió:
> 
> https://bugs.kde.org/show_bug.cgi?id=290706
> 
> Myriam Schweingruber <myriam@kde.org> changed:
> 
>           What    |Removed                     |Added
> ----------------------------------------------------------------------------
>             Status|CONFIRMED                   |NEEDSINFO
>         Resolution|---                         |BACKTRACE
> 
> --- Comment #133 from Myriam Schweingruber <myriam@kde.org> ---
> Could you please all test with the phonon-backend-gstreamer 4.7.2 and make sure
> you use the gstreamer 1.x libraries and plugins?
> If this is still reproducible, please provide a current backtrace.
> 
> -- 
> You are receiving this mail because:
> You are on the CC list for the bug.
Comment 138 David Roth 2014-09-11 17:01:41 UTC
This has been fixed with the gstreamer 1 update as of phonon 4.8
Comment 139 Myriam Schweingruber 2016-06-21 20:30:39 UTC
*** Bug 364589 has been marked as a duplicate of this bug. ***